# abbrevs are split by lines with 4 dashed '----'
# @id@ are positions of 'insertion points'
# You can have multiple expansions with the same start.
# The expansion tries to expand the first word.

abbrevs="""\
for @id@ in @expression@ loop
	@statement@
end loop;
----
for @id@ in @expression@ loop
	@statement@;
	@statement@
end loop;
----
record
	@id@ : @expression@ ;
end record;
----
"""
#############################################################################
from Register import *
from Editor import *
import string,regsub
import WordExpand

place_holder='@\\1@'
place_holder_regex='@\w+@'

def unquote(str):
	str=regsub.gsub('@@','\001',str)
	str=regsub.gsub('@\(\w+\)@',place_holder,str)
	str=regsub.gsub('\001','@',str)
	return str

def GotoNextPlaceHolder(backward=0):
	sel=GetSelection()
	s,e=Search(place_holder_regex,GetSelectionStart(),backward)
	if (s,e)==sel:
		s,e=Search(place_holder_regex,GetSelectionEnd(),backward)
	if s<0:
		s,e=Search(place_holder_regex,0,backward)
	if s>=0:
		SetSelection(s,e)

#############################################################################
def RegisterKeywordExpansion(abbrevs,*filetypes):
	"""abbrevs is a string with syntax expansions.
	"""
	syntaxlist=string.split(unquote(abbrevs),'----\n')
	for ft in filetypes:
		WordExpand.SetKeywords(ft,syntaxlist)
def SyntaxExpansionKeymap(kh):
	"""Bind the GotoNextPlaceHolder to a key"""
	kh.BindKey("C-.", GotoNextPlaceHolder)
	kh.BindKey("C-,", GotoNextPlaceHolder)
	kh.BindKey("F2", GotoNextPlaceHolder)

RegisterKeys(SyntaxExpansionKeymap, "")
RegisterKeywordExpansion(abbrevs,"Ada9X","Ada")


