/* visual linker standard test data */
-c
-dead
ACOSHF.obj
acoshtst.obj
ACOT2F.obj
ACOTF.obj
ACOTHF.obj
ASINHF.obj
asinhtst.obj
asintst.obj
ATANHF.obj
atanhtst.obj
atantst.obj
attrtst.obj
comontst.obj
COMPOSF.obj
COPYSIGNF.obj
COTF.obj
EXCTINF.obj
EXCTOUTF.obj
EXP10F.obj
EXP2F.obj
EXPONF.obj
exptst.obj
FRACTF.obj
LOG2F.obj
logtst.obj
maintst.obj
MSDIGSF.obj
NEXTAFTERF.obj
POWIF.obj
powtst.obj
PREDF.obj
primtst.obj
ROUNDF.obj
RSQRTF.obj
sinhtst.obj
sintst.obj
sqrttst.obj
SUCCF.obj
tanhtst.obj
tantst.obj
TRUNCF.obj
rts.lib 

-o tutorial_1.out
-m tutorial_1.map

/* declared for OVLY=0 conditions */
MEMORY {
   PAGE 0 :
      code_page_0 (RWX ): o= 0x00000 l= 0x0FF80 /* offchip RAM */
      vectors     (RWX ): o= 0x0FF80 l= 0x00080 /* external interrupt vectors*/
      code_page_1 (RWX ): o= 0x10000 l= 0x10000 /* offchip RAM */
      code_page_2 (RWX ): o= 0x20000 l= 0x10000 /* offchip RAM */

   PAGE 1 :
      regs        (RW  ): o= 0x00000 l= 0x00060 /* Memory-mapped registers */
      scratch     (RW  ): o= 0x00060 l= 0x00020 /* Scratch-pad DARAM */

      /* On-chip Dual Access RAM, divided into 4 blocks: */
      /* 0-7FF, 800-FFF, 1000-17FF, 1800-1FFF */
      DARAM       (RW  ): o= 0x00080 l= 0x1F80

      /* On-chip Single Access RAM, divided into 3 blocks: */
      /* 2000-3FFF, 4000-5FFF, 6000-7FFF */
      SARAM       (RW  ): o= 0x02000 l= 0x06000

      external    (RW  ): o= 0x08000 l= 0x08000 /* offchip RAM */
}

SECTIONS {
    vectors > vectors

    .text   > code_page_0
    .far    > code_page_0 
    .cinit  > code_page_0

    .stack  > DARAM
    .bss    > DARAM
    .cio    > SARAM
    .const  > SARAM
    .data   > SARAM
    .switch > SARAM 
    .sysmem > SARAM  
}
