#
#  This file contains the definitions and rules necessary to 
#  build an application for the C54 with GNU make.
#

#  explicitly define the path of c54x tools
C54X_TOOLS = $(TI_DIR)/c5400/cgtools/bin


#  C5400 compiler, assembler, and linker.
CC54 = $(C54X_TOOLS)/cl500
AS54 = $(C54X_TOOLS)/asm500
LD54 = $(C54X_TOOLS)/lnk500

#  Options
#
#  cl500:
#		-c	Disable linking (negate -z)
#  asm500:
#
#  lnk500:
#
CC54FLAGS = -c
AS54FLAGS =
LD54FLAGS =

#  explicitly define the path to remove
REMOVE = $(TI_DIR)/bin/remove


#
#  Define other directory locations necessary for building programs:
#
#       WINDIR  - the windows system directory
#

ifndef WINDIR
    ifdef windir
	WINDIR := $(windir)
    else
	WINDIR := $(SYSROOT)
    endif
endif

PATH := $(PATH);$(WINDIR)/ti/plugins/bios
export PATH
Path := $(PATH)
export Path

#  Pattern rules to build C5400 executables
%.obj : %.cpp
	cl500 $(CC54FLAGS) $(CC54OPTS) $<

%.obj : %.c
	cl500 $(CC54FLAGS) $(CC54OPTS) $<

%.asm : %.cpp
	cl500 -S $(CC54FLAGS) $(CC54OPTS) $<

%.asm : %.c
	cl500 -S $(CC54FLAGS) $(CC54OPTS) $<

%.obj : %.asm
	$(AS54) $(AS54FLAGS) $(AS54OPTS) $< 

%.obj : %.s54
	$(AS54) $(AS54FLAGS) $(AS54OPTS) $<

%.out : %.obj
	$(LD54) $(LD54FLAGS) $(LD54OPTS) -o $@ $< $(OBJS) $(LIBS) $(CMDS)

#  Implicit rules
.cpp:
	cl500 $(CC54FLAGS) $(CC54OPTS) $<

.c:
	cl500 $(CC54FLAGS) $(CC54OPTS) $<

