/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... DAT
* FILENAME...... csl_DATdata.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   LAST MODIFIED: 06/19/2000
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the DAT module)
*       Reserved ROM Area for DAT Data 
*
*
\******************************************************************************/
#ifndef _CSL_DAT_DATA_H_
#define _CSL_DAT_DATA_H_ 

/*============================================================*/
/*============= DAT Data Object Initialization ===============*/
/*============================================================*/

#define CSL_DATDATAINIT\
{    0x0000u,     /* DAT Initialized Flag */\
     0x0000u,     /* DAT Device ID (DMA Chan) */\
     0x0000u,     /* EventId */\
     0x0000u,     /* Channel Priority */\
     0x0000u      /* Pointer to DMA Handle */\
}

/*============================================================*/
/*============= Structure Definitions ========================*/
/*============================================================*/
/* private object, not to be used by application code */
/****************************************\
* DAT global typedef declarations
\****************************************/
typedef struct  {
   Uint16 DatInitialized;
   Uint16 DatDevId;
   Uint16 DatEventId;
   Uint16 DatChaPriority;
   void *handle;
} DAT_PrivateObj, CSL_DatDataObj, *DAT_Handle;

#endif

