/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... DMA
* FILENAME...... csl_dmadat.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED:  06/19/2000  
*   LAST MODIFIED: 05/31/2001 - Updated for new initialization model
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (DMA Module Data Initialization) 
*
*
\******************************************************************************/
#ifndef _CSL_DMA_DATA_H_
#define _CSL_DMA_DATA_H_

/*============================================================*/
/*============= DMA Data Object Initialization ===============*/
/*============================================================*/

#if ((_DMA_CH_RLDR_SUPPORT) && (_DMA_CH_XDP_SUPPORT))
  #include <csl_dmadatA.h>
#elif (((_DMA_CH_RLDR_SUPPORT) && (_DMA_EXT_DATA_SUPPORT)) && (!_DMA_CH_XDP_SUPPORT))
  #include <csl_dmadatB.h>
#elif (_DMA_CH_RLDR_SUPPORT)
  #include <csl_dmadatC.h>
#else
  #include <csl_dmadatD.h>
#endif

typedef struct {
     DMA_PrivateObj Dma[6];
     DMA_GblPrivateObj GblRegs;
} CSL_DmaDataObj;

#endif   /* _CSL_DMA_DATA_H_ */
