/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... GPIO
* FILENAME...... csl_gpio.h
* DATE CREATED.. Wed 09/01/1999 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS.. 
* VERSION.......  
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  09/01/1999 
*   MODIFIED: 12/01/1999 Modified for TMS302C54xx
*   MODIFIED: 06/19/2000
*   MODIFIED: 08/21/2001 created new pin control functions and overloaded
*                        function def's depending on whether device supports
*                        HPI multi-plexed GPIO or stand-alone/non-multiplexed
*                        gpio.
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the GPIO module)
*
*
*
\******************************************************************************/
#ifndef _CSL_GPIO_H_
#define _CSL_GPIO_H_

 
#include <csl_chiphal.h>
 
#if (_GPIO_SUPPORT)

  #include <_csl_gpio.h>

#elif (_HPI_GPIO_SUPPORT)

  #include <_csl_hgpio.h>

#endif

#endif /* _CSL_GPIO_H_ */
/******************************************************************************\
* End of csl_gpio.h
\******************************************************************************/


