/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... IRQ
* FILENAME...... csl_irqdata.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED: 06/19/2000
*   LAST MODIFIED: 05/31/2001 Updated for new initialization model
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (IRQ Module Initialization Data) 
*
*
\******************************************************************************/
#ifndef _CSL_IRQ_DATA_H_
#define _CSL_IRQ_DATA_H_ 


#define IRQ_INT_CNT     (16)    
#define IRQ_EVENT_CNT   (34)

#define CSL_IRQDATAINIT\
{\
    0x0000,   /* Initialized Flag */\
    0x0000,   /* IRQ_dispatchTblPtr */\
    0x0000,   /* IRQ_biosPresent */\
    0x0000,   /* IRQ_eventTable */\
    0x0001,\
    0x0002,\
    0x0003,\
    0x0004,\
    0x0005,\
    0x0006,\
    0x0007,\
    0x0008,\
    0x0009,\
    0x000A,\
    0x000B,\
    0x000C,\
    0x000D,\
    0x000E,\
    0x000F,\
    0x0000,\
    0x0001,\
    0x0002,\
    0x0003,\
    0x0004,\
    0x0005,\
    0x0006,\
    0x0007,\
    0x0008,\
    0x0009,\
    0x000A,\
    0x000B,\
    0x000C,\
    0x000D,\
    0x000E,\
    0x000F,\
    0x0000,\
    0x0001,\
    0x0000,   /* IRQ_intTable */\
    0x0001,\
    0x0002,\
    0x0003,\
    0x0004,\
    0x0005,\
    0x0006,\
    0x0007,\
    0x0008,\
    0x0009,\
    0x000A,\
    0x000B,\
    0x000C,\
    0x000D,\
    0x000E,\
    0x000F\
}

typedef struct {
  Uint32 funcAddr;
  Uint16 ierMask;
  Uint16 funcArg;
} _IRQ_Dispatch;

typedef struct {
  Uint16 IrqInitialized;
  _IRQ_Dispatch *IrqDispatchTblPtr;
  Uint16 IrqBiosPresent;
  Uint16 IrqEventTable[IRQ_EVENT_CNT];
  Uint16 IrqIntTable[IRQ_INT_CNT];
} CSL_IrqDataObj;

#endif
