/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... MCBSP
* FILENAME...... csl_mcbspdat.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED: 06/19/2000 made #ifdefs consistent with file name
*   LAST MODIFIED: 05/31/2001 Updated for new initialization model
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (MCBSP Module Initialization Data)
*
*
\******************************************************************************/
#ifndef _CSL_MCBSP_DATA_H_
#define _CSL_MCBSP_DATA_H_

#include <csl_stdinc.h>

#define _MCBSP_DEVICE_CNT 3
  #if ((CHIP_5402 | CHIP_5472))
    #include <csl_mcbspdatA.h>
    #undef _MCBSP_DEVICE_CNT
    #define _MCBSP_DEVICE_CNT 2
  #else
    #include <csl_mcbspdatB.h>
  #endif 



/* private object, not to be used by application code */
typedef struct {
  Uint16 Port;
  Uint16 Drr1Addr;
  Uint16 Drr2Addr;
  Uint16 Dxr1Addr;
  Uint16 Dxr2Addr;
  Uint16 SpsaAddr;
  Uint16 SpsdAddr;
  Uint16 XmtEvent;
  Uint16 RcvEvent;
} MCBSP_PrivateObj;

typedef struct {
  MCBSP_PrivateObj Mcbsp[_MCBSP_DEVICE_CNT];
} CSL_McbspDataObj;

#undef _MCBSP_DEVICE_CNT

#endif

