/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... PWR
* FILENAME...... pwrhal.h
* DATE CREATED.. Thu 11/11/1999 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL HAL
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:       11/11/1999 
*   MODIFIED:      11/29/1999 Modified for TMS320C54xx
*   LAST MODIFIED: 06/19/2000 make #ifdefs consistenti with new csl_ header names
*
*------------------------------------------------------------------------------
* DESCRIPTION:  (HAL interface file for the PWR module)
*
* Registers Covered:
*   None
\******************************************************************************/
#ifndef _CSL_PWRHAL_H_
#define _CSL_PWRHAL_H_

#include <csl_chiphal.h>   
 
#if (_PWR_SUPPORT)

 #define _PWR_IDLE_PERIPHERALS_ACTIVE	(0x0001u)
 #define _PWR_IDLE_PERIPHERALS_INACTIVE   (0x0002u)
 #define _PWR_IDLE_PLL_DISABLED           (0x0003u)

/*----------------------------------------------------------------------------*/

#else
  #ifndef _PWR_MOD_ /* PWR_SUPPORT */
    #error PWR HAL Module Not Supported on Specified Target
  #endif 
#endif /* PWR_SUPPORT */

#endif /* _CSL_PWRHAL_H_ */
/******************************************************************************\
* End of csl_pwrhal.h
\******************************************************************************/

