/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\ *           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------ 
* MODULE NAME... STDINC - standard include module
* FILENAME...... csl_stdinch.h
* DATE CREATED.. Thu 03/11/1999
* PROJECT....... Chip Support Library
* COMPONENT..... HAL
* PREREQUISITS.. none
*------------------------------------------------------------------------------ 
* HISTORY:
*   CREATED:        03/11/1999 
*   MODIFIED:       11/23/1999 Modified for TMS320C54xx
*   LAST MODIFIED:  06/19/2000 #ifdefs consistent with new csl_ header names
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (HAL interface file for the STDINC module)
*
*
*
\******************************************************************************/
#ifndef _CSL_STDINCH_H_
#define _CSL_STDINCH_H_

/****************************************\
* HSTDINC scope and inline control macros
\****************************************/
#ifdef __cplusplus
#define CSLAPI extern "C"  
#else
#define CSLAPI extern 
#endif

#undef  USEDEFS
#undef  IDECL
#undef  IDEF

#ifdef  _CSL_MOD_
  #define IDECL CSLAPI
  #define USEDEFS
  #define IDEF
#else
  #ifdef  _INLINE
    #define IDECL static inline
    #define USEDEFS
    #define IDEF  static inline
  #else
    #define IDECL CSLAPI
  #endif
#endif


/****************************************\
* HSTDINC global macro declarations
\****************************************/
#define UNREFERENCED_PARAMETER(P)    ((P)=(P))


/*============================================================================*\
* register referencing macros
\*============================================================================*/
#define REG8(addr)  (*(volatile Uint8*)(addr))
#define REG16(addr) (*(volatile Uint16*)(addr))
#define REG32(addr) (*(volatile Uint32*)(addr))
#define Reg16Ptr    (volatile Uint16 *)



/****************************************\
* HSTDINC global typedef declarations
\****************************************/

/****************************************\
* HSTDINC global variable declarations
\****************************************/

/****************************************\
* HSTDINC global function declarations
\****************************************/

/****************************************\
* HSTDINC inline function declarations
\****************************************/

/****************************************\
* HSTDINC inline function definitions
\****************************************/
#ifdef USEDEFS
/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/
#endif /* USEDEFS */

#endif /* _STDINCHAL_H_ */
/******************************************************************************\
* End of stdinchal.h
\******************************************************************************/

