/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... TIMER
* FILENAME...... csl_timerdat.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED: 08/05/2000
*   LAST MODIFIED: 05/31/2001  Updated for new initialization model
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (Timer Module Data Initialization)
*
*
*
\******************************************************************************/
#ifndef _CSL_TIMER_DAT_H_
#define _CSL_TIMER_DAT_H_

#include <csl_stdinc.h>

#define _CSL_TIMER_CNT 1
#if (CHIP_5402 | CHIP_5401 | CHIP_54CST | CHIP_5403 | CHIP_5404 | CHIP_5406 | CHIP_5407)
    #include <csl_timerdatA.h>
    #undef _CSL_TIMER_CNT
    #define _CSL_TIMER_CNT 2
  #elif (_TIMER_PRSC_MODE_SUPPORT)
    #include <csl_timerdatB.h>
  #else
    #include <csl_timerdatC.h>
#endif

typedef struct {
  Uint16  Timer;
  Uint16  EventId;
  Uint16  TcrAddr;
#if (_TIMER_PRSC_MODE_SUPPORT)
  Uint16   TscrAddr;
#endif
  Uint16  PrdAddr;
  Uint16  TimAddr;
} TIMER_PrivateObj;

typedef struct {
  TIMER_PrivateObj Timer[_CSL_TIMER_CNT];
} CSL_TimerDataObj;

#undef _CSL_TIMER_CNT
#endif
