/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... TIMER
* FILENAME...... csl_timerdatA.h
* DATE CREATED.. Thu 05/31/2001 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED: 08/05/2000
*   LAST MODIFIED: 05/31/2001  Updated for new initialization model
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (Timer Module Data Initialization for Two Timers - no
*                prescale mode support)
*
*
*
\******************************************************************************/
#ifndef _CSL_TIMER_DATA_H_
#define _CSL_TIMER_DATA_H_

#if (CHIP_5402)
  #define CSL_TIMERDATAINIT\
  {   \
      /* Timer 0 Data */\
      0x0000,    /* Device Number */\
      0x0013,    /* EventId */\
      0x0026,    /* Control Register Address */\
      0x0025,    /* Period Register Address */\
      0x0024,    /* Timer Register Address */\
      /* Timer 1 Data */\
      0x0001,    /* Device Number */\
      0x0017,    /* EventId */\
      0x0032,    /* Control Register Address */\
      0x0031,    /* Period Register Address */\
      0x0030     /* Timer Register Address */\
  }
#else
  #define CSL_TIMERDATAINIT\
  {   \
      /* Timer 0 Data */\
      0x0000,    /* Device Number */\
      0x0013,    /* EventId */\
      0x0026,    /* Control Register Address */\
      0x0025,    /* Period Register Address */\
      0x0024,    /* Timer Register Address */\
      /* Timer 1 Data */\
      0x0001,    /* Device Number */\
      0x0018,    /* EventId */\
      0x0032,    /* Control Register Address */\
      0x0031,    /* Period Register Address */\
      0x0030     /* Timer Register Address */\
  }
#endif


#endif
