/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== dtr_i2f.c ========
 *  Spectron-supplied "user" function for DTR.
 *
 *  Note: For the purpose of transforming fixed point data to floating point,
 *  this function assumes that sizeof(Float) == sizeof(Int)!  Of course,
 *  for the C30/C40 this is ok, but ...
 *
 */

#include <std.h>

#include <dtr.h>

/*
 *  ======== DTR_fix2flt ========
 *
 *  This transformation converts integer data to floating point data.
 *
 *  *addr = (Float)(*addr * scale)
 */
Void DTR_fix2flt(Arg arg, DTR_Elem *addr, Uns size)
{
    register Int        i;              
    register Int        *iptr;
    register Float      *fptr;
    register DTR_Scale  scale;
    
    scale = *(DTR_Scale *)arg;
    fptr = (Float *)addr;
    iptr = (Int *)addr;

    for (i = (size / sizeof(Float)); i > 0; i--) {
        *fptr++ = ((Float)*iptr++) * scale;
    }
}

