/*****************************************************************************/
/* setjmp.h   v3.70                                                         */
/* Copyright (c) 1993-2001 Texas Instruments Incorporated                    */
/*****************************************************************************/

#ifndef _SETJMP
#define _SETJMP

#include <linkage.h>

#ifdef __cplusplus
extern "C" namespace std {
#endif

#define setjmp(x) _setjmp(x)

#if defined(_TMS320C6X) || defined(_TMS320C5XX)
#define _JMP_BUF_SIZE 13
#elif defined(__TMS470__)
#define _JMP_BUF_SIZE 10
#elif defined(__TMS320C55X__)
#define _JMP_BUF_SIZE 6
#else
#warn "This header only intended for use with C6x, C54x, C55x, and Arm."
#define _JMP_BUF_SIZE 13
#endif

typedef int jmp_buf[_JMP_BUF_SIZE];

_CODE_ACCESS int  _setjmp(jmp_buf env); 
_CODE_ACCESS void longjmp(jmp_buf env, int val);

#ifdef __cplusplus
} /* extern "C" namespace std */

#ifndef _CPP_STYLE_HEADER
using std::jmp_buf;
using std::_setjmp;
using std::longjmp;
#endif /* _CPP_STYLE_HEADER */

#endif /* __cplusplus */

#endif /* _SETJMP */
