/*****************************************************************/
/* Copyright (c) Texas Instruments, Incorporated  2000           */
/*****************************************************************/
/*****************************************************************************/
/*****************************************************************************/
/*  portio.h - Header file for portio_.asm                                   */
/*                                                                           */
/*                                                                           */
/*  FUNCTIONS:                                                               */
/*                                                                           */
/*  portRead()                                                               */
/*  portWrite()                                                              */
/*                                                                           */
/*                                                                           */
/*  STATIC FUNCTIONS:                                                        */
/*    None                                                                   */
/*                                                                           */
/*                                                                           */
/*  GLOBAL VARIABLES DEFINED                                                 */
/*                                                                           */
/*                                                                           */ 
/*****************************************************************************/
#ifndef _PORTIO_H
#define _PORTIO_H

#include <type.h>

/*****************************************************************************/
/*  s16 portRead(u16 port)                                                   */
/*                                                                           */ 
/*  This routine reads a word from the specified port.                       */
/*                                                                           */
/*  Parameters:                                                              */
/*  - port - port address (HEX)                                              */
/*                                                                           */
/*  Return:                                                                  */
/*  - returns value read from port.                                          */
/*                                                                           */
/*  Notes:                                                                   */
/*                                                                           */ 
/*****************************************************************************/
s16 portRead(u16 port);

/*****************************************************************************/
/*  portWrite(u16 port, s16 value)                                           */
/*                                                                           */ 
/*  This routine writes a word to the specified port.                        */
/*                                                                           */
/*  Parameters:                                                              */
/*  - port - port address (HEX)                                              */
/*  - value - 16 bit word to write.                                          */
/*                                                                           */
/*  Return:                                                                  */
/*  - none                                                                   */
/*                                                                           */
/*  Notes:                                                                   */
/*                                                                           */ 
/*****************************************************************************/
void portWrite(u16 port, s16 value);

#endif /* end of #ifndef _PORTIO_H */
