;***********************************************************
; Version 2.10.03                                           
;***********************************************************
;*****************************************************************************
;  Function:	 cifft32
;  Description:  complex inverse FFT
;
;  Copyright Texas instruments Inc, 1998
;-----------------------------------------------------------------------------
; Revision History:
;
; 1.00	A. Aboagye. Original code. From cfft code
;
;*****************************************************************************
N	 .set	    32	  ; NUMBER OF POINTS FOR FFT

	.include "macrosi.asm"
	.include "sintab.q15"

        .mmregs

; Far-mode adjustment
; -------------------

	.if __far_mode
offset	.set 1			; far mode uses one extra location for ret addr  ll
	.else
offset	.set 0
	.endif

	.asg	(0), DATA
	.asg	(1), SIN45
	.asg	(4), save_ar7		; stack description
	.asg	(5), save_ar6		; stack description
	.asg	(6), save_ar1
	.asg	(7), ret_addr
	.asg	(8+offset), scale
					; x in A					; x in A

;*****************************************************************************
	 .def	_cifft32
	 .text
_cifft32

; Preserve registers
; ------------------
	pshm	ar1
	pshm	ar6
	pshm	ar7
        PSHM    ST0                                 ; 1 cycle
        PSHM    ST1                                 ; 1 cycle
        RSBX    OVA                                 ; 1 cycle
        RSBX    OVB                                 ; 1 cycle

; Preserve local variables
; ------------------------
	frame	-2
	nop

; Get Arguments
; -------------
	stl	a,*sp(DATA)	; DATA = *SP(DATA)

	.if   N>4		; ??? no need
	st    #5a82h,*sp(SIN45)
        .endif

; Set modes
; ---------
	orm   #0100010101011110b,*(ST1) ; ASM=-2 , FRACT=1, sbx=1;CPL=1(compiler)

; Execute
; -------

	combo5xx		     ; FFT CODE for STAGES 1 and 2
        stage3                       ; MACRO WITH CODE FOR STAGE 3
	stdmacro 4,2,8,16,sin4,cos4  ; stage,outloopcnter,loopcnter,index
	laststag 5,sin5,cos5	     ; MACRO WITH CODE FOR STAGE 5

; Return
;--------

	frame	+2
        POPM    ST1                            ; 1 cycle
        POPM    ST0                            ; 1 cycle
	popm	ar7
	popm	ar6
	popm	ar1

	.if	__far_mode
	fret
	.else
	ret
	.endif

;end of file. please do not remove. it is left here to ensure that no lines of code are removed by any editor
