//*****************************************************************************
//  Filename:	 fir_t.c
//  Version:	 0.01
//  Description: test for fir routine
//-----------------------------------------------------------------------------
//  Revision History:
//    0.01, K. Baldwin, 08/31/98, - Original release
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>

#include "test.h"

short i;
short eflag1= PASS;
short eflag2= PASS;
DATA  *dbptr = &db[0];

main()
{

// 1. Test for single-buffer

// clear
for (i=0; i<NX; i++) r[i] = 0;	     // clear output buffer (optional)
for (i=0; i<NH; i++) db[i] = 0; // clear delay buffer (a must)

// compute
fir(x, h, r, &dbptr, NH, NX);

// test
eflag1 = test (r, rtest, NX, MAXERROR);

// 2. Tets for dual-buffer

// clear
for (i=0; i<NX; i++) r[i] = 0;	     // clear output buffer (optional)
for (i=0; i<NH; i++) db[i] = 0; // clear delay buffer (a must)

dbptr = &db[0];

// compute
if (NX>=4)
   {
   fir(x, h, r, &dbptr, NH, NX/4);
   fir(&x[NX/4], h, &r[NX/4], &dbptr, NH, NX/4);
   fir(&x[2*NX/4], h, &r[2*NX/4], &dbptr, NH, NX/4);
   fir(&x[3*NX/4], h, &r[3*NX/4], &dbptr, NH, NX/4);
   }

// test
eflag2 = test (r, rtest, NX, MAXERROR);

  
return;
}
