/*
 *  Copyright 2001 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) XDAS 2.2.1 12-07-01 (__imports)" */
/*
 *  ======== fir_ti_itstvt.c ========
 *  This file contains the function table definitions for the
 *  ITST interface implemented by the FIR_TI module.
 *
 *  We place these tables in a separate file for two reasons:
 *     1. We want allow one to one to replace these tables
 *        with different definitions.  For example, one may
 *        want to build a system where the FIR is activated
 *        once and never deactivated, moved, or freed.
 *
 *     2. Eventually there will be a separate "system build"
 *        tool that builds these tables automatically 
 *        and if it determines that only one implementation
 *        of an API exists, "short circuits" the vtable by
 *        linking calls directly to the algorithm's functions.
 */
#include <std.h>

#include <itst.h>

#include <fir_ti.h>
#include <fir_ti_priv.h>

/*
 *  ======== FIR_TI_ITST ========
 *  This structure defines TI's implementation of the ITST interface
 *  for the FIR_TI module.
 */
ITST_Fxns FIR_TI_ITST = {
    &FIR_TI_IALG,           /* module ID */
    NULL,                   /* numOps (NULL => ITST_DEFNUMOPS) */
    NULL,                   /* numParams (NULL => ITST_DEFNUMPARMS) */
    FIR_TI_tstGetParams,    /* getParams */
    FIR_TI_tstProcess,      /* process */
};
