/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 * ======== hook.h ========
 *
 */

#include <std.h>

#include <tsk.h>

typedef Int HOOK_Id;

typedef Void (*HOOK_InitFxn)(HOOK_Id id);
typedef Void (*HOOK_CreateFxn)(TSK_Handle task);
typedef Void (*HOOK_DeleteFxn)(TSK_Handle task);
typedef Void (*HOOK_ExitFxn)(Void);
typedef Void (*HOOK_ReadyFxn)(TSK_Handle task);
typedef Void (*HOOK_SwitchFxn)(TSK_Handle prev, TSK_Handle next);

extern Int _HOOK_knlId;

extern Int _HOOK_NUMHOOKS;
extern HOOK_InitFxn _HOOK_initFxnTable[];
extern HOOK_CreateFxn _HOOK_createFxnTable[];
extern HOOK_DeleteFxn _HOOK_deleteFxnTable[];
extern HOOK_ExitFxn _HOOK_exitFxnTable[];
extern HOOK_ReadyFxn _HOOK_readyFxnTable[];
extern HOOK_SwitchFxn _HOOK_switchFxnTable[];

Void HOOK_setenv(TSK_Handle task, HOOK_Id id, Ptr env);
Ptr HOOK_getenv(TSK_Handle task, HOOK_Id id);

