/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== hwi.h ========
 *
 */
#ifndef HWI_
#define HWI_

#ifdef __cplusplus
extern "C" {
#endif

#if defined(_6x_)

typedef struct HWI_Attrs {
    Uns		intrMask;	/* IER bitmask, 1="self" (default) */
    Uns		ccMask;		/* CSR CC bitmask, 1="leave alone" (default) */
    Arg		arg;		/* fxn arg (default=0)*/
} HWI_Attrs;

Void HWI_dispatchPlug(Int vecid, Fxn fxn, Int dmachan, HWI_Attrs *attrs);
extern HWI_Attrs HWI_ATTRS;

#endif

#if defined(_54_)

typedef struct HWI_Attrs {
    Uns		intrMask;	/* IMR bitmask, 1 = "self" (default) */
    Arg		arg;		/* fxn arg (default = 0)*/
} HWI_Attrs;

Void HWI_dispatchPlug(Int vecid, Fxn fxn, HWI_Attrs *attrs);
extern HWI_Attrs HWI_ATTRS;

#endif

#if defined(_55_)

typedef struct HWI_Attrs {
    Uns         ier0mask;	/*IER0 bitmask*/
    Uns         ier1mask;	/*IER1 bitmask*/
    Arg         arg;		/*fxn arg (default = 0)*/
} HWI_Attrs;


Void HWI_dispatchPlug(Int vecid, Fxn fxn, HWI_Attrs *attrs);
extern HWI_Attrs HWI_ATTRS;

#endif
/*
 *  ======== HWI_disable ========
 *  Disable interrupts
 */
extern Uns HWI_disable(Void);

/*
 *  ======== HWI_enable ========
 *  Enable interrupts
 */
extern Void HWI_enable(Void);

/*
 *  ======== HWI_restore ========
 *  Restore interrupts state
 */
extern Void HWI_restore(Uns old);

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif	/* HWI_ */
