/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== utl_doab.c ========
 *
 *  An abort function, typically configured in the SYS module.
 *
 */

#pragma CODE_SECTION(UTL_doAbort, ".bios")

#include <std.h>
#include <sys.h>
#include <log.h>
#include <stdarg.h>
#include <utl.h>

/*
 *  ======== UTL_doAbort ========
 */
Void UTL_doAbort(String fmt, va_list ap)
{
#if UTL_USESYS
    SYS_vprintf(fmt, ap);
#else
    LOG_error("SYS abort called with message '%s'", (Arg)fmt);
#endif
    UTL_halt();
}

