/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== utl_putc.c ========
 *
 *  Utility functions for working with the trace buffer.
 *
 */

#pragma CODE_SECTION(UTL_doPutc, ".bios")

#include <std.h>
#include <sys.h>
#include <string.h>
#include <utl.h>

#ifdef _62_
#define FAR far
#else
#define FAR
#endif

/*
 *  ======== UTL_doPutc ========
 */

Void UTL_doPutc(Char c)
{
    static Char FAR *cptr = (Char *)&SYS_PUTCBEG;
    static Char FAR *cbeg = (Char *)&SYS_PUTCBEG;
    static Char FAR *cend = (Char *)&SYS_PUTCEND;

    *cptr++ = c;
    if (cptr >= cend) {
        cptr = cbeg;
    }
}


