/*
 *  Copyright 2001 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) XDAS 2.2.1 12-07-01 (__imports)" */
/*
 *  ======== tst.h ========
 */
#ifndef TST_
#define TST_

#include <itst.h>
#include <alg.h>

/*
 *  ======== TST_Frame ========
 */
typedef ITST_Frame TST_Frame;

/*
 *  ======== TST_ParamRec ========
 */
typedef ITST_ParamRec TST_ParamRec;

/*
 *  ======== TST_Desc ========
 */
typedef struct TST_Desc {
    ITST_Fxns   *fxns;      /* test functions */
    ITST_Handle handle;     /* test object */
} TST_Desc;

/*
 *  ======== TST_create ========
 */
extern TST_Desc *TST_create(TST_Desc *obj, ALG_Handle alg, ITST_Fxns *fxns);

/*
 *  ======== TST_delete ========
 */
#define TST_delete(tst)

/*
 *  ======== TST_exit ========
 */
extern Void TST_exit(Void);

/*
 *  ======== TST_getParams ========
 */
extern Void TST_getParams(TST_Desc *tst, Int op, TST_ParamRec in[],TST_ParamRec out[]);

/*
 *  ======== TST_init ========
 */
extern Void TST_init(Void);

/*
 *  ======== TST_numOps ========
 */
extern Int TST_numOps(TST_Desc *tst);

/*
 *  ======== TST_numParams ========
 */
extern Void TST_numParams(TST_Desc *tst, Int op, Int *numIn, Int *numOut);

/*
 *  ======== TST_process ========
 */
extern Void TST_process(TST_Desc *tst, Int opCode, TST_Frame *in, TST_Frame *out);

#endif  /* TST_ */
