/****************************************************************/
/* t140x_fn.h                                                   */
/* Header file to support THS140x/F0x ADCs for C5400            */
/* FUNCTIONS NOT IMPLEMENTED YET!                               */
/* $Revision: 5 $                      $JustDate: 18.10.00 $ */
/****************************************************************/
#ifndef T140x_FN_H
#define T140x_FN_H

#if _INLINE
#define __INLINE  static inline
#else
#define __INLINE
#endif

#include "tidc_api.h"

/****************************************************************/
/* STRUCTURE DEFINITION FOR CONTROL REGISTER                    */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
      {
          unsigned int lsb_reserved	  :7;
          unsigned int off            :1;
          unsigned int tm             :3;
          unsigned int format         :1;
          unsigned int ref            :1;
          unsigned int pwd            :1;
          unsigned int msb_reserved   :2;
      } control_bit;
} THS140xCTRL;


/****************************************************************/
/* data converter structure definitions                         */
/****************************************************************/
typedef struct
{
    TTIDC f;                        /* common functions */
    volatile int *const  res_addr;
    volatile int *const  pga_addr;
    volatile int *const  off_addr;
    volatile int *const  ctl_addr;
    unsigned short       pga;
    unsigned short       offset;
    THS140xCTRL          ctrl;     
    unsigned short       data_shift;
} THS140x;

typedef THS140x THS1401;
typedef THS140x THS1403;
typedef THS140x THS1408;
typedef THS140x THS14F01;	/* with FIFO */
typedef THS140x THS14F03;

/****************************************************************/
/* THS140x defines for control registers bit set/clear          */
/****************************************************************/
#define T140x_OFF        (0x80)
#define T140x_FORMAT     (0x800)
#define T140x_REF        (0x1000)
#define T140x_PWD        (0x2000)
                             
/****************************************************************/
/* define ADC address pointer(s)                                */
/****************************************************************/
&&EXTERN_DEV&&

/****************************************************************/
/* FUNCTION DEFINITIONS C6000                                   */
/* THS140x / THS14F0x DATA CONVERTER                            */
/****************************************************************/
TTIDCSTATUS ths140x_configure(void *pDC);
void        ths140x_power(void *pDC, int bDown);
long        ths140x_read(void *pDC);
void        ths140x_write(void *pDC, long lData);     
void        ths140x_rblock(void *pDC, void *pData, 
                           unsigned long ulCount, 
                           void (*callback) (void *));
void        ths140x_wblock(void *pDC, void *pData, 
                           unsigned long ulCount, 
                           void (*callback) (void *));

#endif /* T140x_FN_H */

