/****************************************************************/
/* TLV2541/42/45 and TLC2551/52/55 driver for C5400             */
/* also for ADS8320/24 and TLV1572                              */
/* $Revision:: 6 $                      $JustDate:: 21.11.00  $ */
/****************************************************************/
#ifndef T25XX_FN_H
#define T25XX_FN_H

/* needs the 2.0 API definition! */
#include "TIDC_API.h"

/****************************************************************/
/* STRUCTURE DEFINITION FOR DEVICE                              */
/****************************************************************/
typedef struct
{   
    TTIDC            f;           /* common functions */
    void(*CallBack)  (void *);    /* CallBack function */
    unsigned int     *BufferAddr; /* Basisaddress buffer */
    DCP_SERIAL       *serial;     /* Pointer to serial port object */
} TTLC25XX;

typedef TTLC25XX TTLV2541;     /* unique type naming  */
typedef TTLC25XX TTLV2542;     /* one for each device */
typedef TTLC25XX TTLV2545;
typedef TTLC25XX TTLC2551;
typedef TTLC25XX TTLC2552;
typedef TTLC25XX TTLC2555;
typedef TTLC25XX TADS8320;
typedef TTLC25XX TADS8324;
typedef TTLC25XX TTLV1572;

/****************************************************************/
/* define external DC address pointer(s)                        */
/****************************************************************/
&&EXTERN_DEV&&

/****************************************************************/
/* data converter API function prototypes                       */
/* supports all 6 devices                                       */
/****************************************************************/
TTIDCSTATUS multi_adc_configure(void *pDC);
void multi_adc_power(void *pDC, int bDown);
long multi_adc_read(void *pDC);
void multi_adc_write(void *pDC, long lData);
void multi_adc_rblock(void *pDC, void *pData, 
              unsigned long ulCount, void (*callback) (void *));
void multi_adc_wblock(void *pDC, void *pData, 
              unsigned long ulCount, void (*callback) (void *));

#endif /* T25XX_FN_H */


        


