/****************************************************************/
/* TLV56xx driver version 1.10 for C5400                        */
/*   FUNTIONS NOT IMPLEMENTED YET FOR THIS DSP                  */
/* $Revision: 3 $                      $JustDate: 21.09.00 $ */
/****************************************************************/

#undef _INLINE
#include "dc_conf.h"
#include "t56xx_fn.h"  

#include <std.h>                 /* DSP/BIOS includes */ 
#include <hwi.h>
#include <log.h>

//#include <csl.h>                 /* CSL includes */
//#include <mcbsp.h>  
//#include <irq.h>

//#include <dma.h>
//#include <dat.h>  

#ifdef TIDC_DEBUG
extern far LOG_Obj LogMain;
#endif

/****************************************************************/
/* define and initialize data converter objects                 */
/****************************************************************/
&&DEFINE_OBJECT&& 
                             
/****************************************************************/
/* t56xx_configure                                              */
/* This function configures the requested serial port and the   */
/* data converter                                               */
/* Parameters:    pointer to DC object                          */
/* Return Values: error/status                                  */
/****************************************************************/
TTIDCSTATUS t56xx_configure(void *pDC)
{                       
#ifdef TIDC_DEBUG
    LOG_printf(&LogMain,"Function <t56xx_configure> currently not implemented");
#endif   
    return TIDC_NO_ERR;
}        
                        
/****************************************************************/
/* t56xx_power                                                  */
/* This function switches the power down logic of the device    */
/* Note that change will not take place until the next write    */
/* Parameters:    pointer to DC object                          */
/*                int bDown (==0 : power up, !=0 : power down   */
/* Return Values: NONE                                          */
/****************************************************************/
                        
void t56xx_power(void *pDC, int bDown)
{
#ifdef TIDC_DEBUG
    LOG_printf(&LogMain,"Function <t56xx_power> currently not implemented");
#endif   
}

         
/****************************************************************/
/* t56xx_read                                                   */
/* This function reads one word from the data converter         */
/* Parameters:    pointer to DC object                          */
/* Return Values: converted value                               */
/****************************************************************/

long t56xx_read(void *pDC)
{  
    /* DSP/BIOS Message Log */
#ifdef TIDC_DEBUG
    LOG_printf(&LogMain,"Function <t56xx_read> currently not implemented");
#endif   
    return (0);
}

/****************************************************************/
/* t56xx_rblock                                                 */
/* Parameters:    pDc:       pointer to DC object               */
/*                uiAddress: address of memory buffer           */ 
/*                ulCount:   count of data words in buffer      */
/*                callback:  address of callback function to    */
/*                           call at end of block transfer      */
/* Return Values: NONE                                          */
/****************************************************************/

void t56xx_rblock(void *pDC, void *pData, 
                    unsigned long ulCount, void (*callback) (void *))
{ 
    /* DSP/BIOS Message Log */
#ifdef TIDC_DEBUG
    LOG_printf(&LogMain,"Function <t56xx_rblock> currently not implemented");
#endif
}

    
/****************************************************************/
/* t56xx_write                                                  */
/* This function writes data to the converter                   */
/* Parameters:    pointer to DC object                          */
/*                long integer data                             */ 
/* Return Values: NONE                                          */ 
/* NB this function automatically adds the DAC control bits (as */
/* defined as DACx_Control in DC_conf.h) to the output.         */
/****************************************************************/

void t56xx_write(void *pDC, long lData)
{          
#ifdef TIDC_DEBUG
    LOG_printf(&LogMain,"Function <t56xx_write> currently not implemented");
#endif
}                                                                                   

/****************************************************************/
/*  Write block of data to DAC                                  */
/****************************************************************/
void t56xx_wblock(void *ptD, void *pData, 
                  unsigned long ulCount, void (*callback) (void *)) 
{                                                                     
#ifdef TIDC_DEBUG
    LOG_printf(&LogMain,"Function <t56xx_wblock> currently not implemented");
#endif
}                                                                   
                         
