/*
 *  ======== dss.js ========
 *
 *! Revision History
 *! ================
 *! 15-Mar-2001 jv	Modified to include the board
 *! 15-Dec-2000 dr	created
 */

/*
 *  ======== DSS_rxPipe ========
 */
var DSS_rxPipe = PIP.create("DSS_rxPipe");
DSS_rxPipe.notifyWriterFxn = prog.decl("DSS_rxPrime");
DSS_rxPipe.notifyWriterArg0 = 0;	/* isCalledByISR */
DSS_rxPipe.bufAlign = 32;

/*
 *  ======== DSS_txPipe ========
 */
var DSS_txPipe = PIP.create("DSS_txPipe");
DSS_txPipe.notifyReaderFxn = prog.decl("DSS_txPrime");
DSS_rxPipe.notifyReaderArg0 = 0;	/* isCalledByISR */
DSS_txPipe.bufAlign = 32;

/*
 *  ======== DSS_ioPhase ========
 *  Create a STS object to track I/O phase difference
 */
var DSS_ioPhase = STS.create("DSS_ioPhase");

/*
 *  ======== platform specific configuration ========
 */
try {
    utils.importFile("dss_" + prog.cpu.board.name + ".js");
    if (prog.cpu.cpuFamily == "6000") {
        DSS_ioPhase.unitType = "High resolution time based";
    }
}
catch (e) {
    throw new Error(e + "\n" +
        "DSS doesn't support the '" + prog.cpu.board.boardFamily + "' board");
}
