/*
 *  ======== dss_evm55.js ========
 *
 *! Revision History
 *! ================
 *! 04-Oct-2001 rt	removed CSLNAME assertion
 *! 04-Oct-2001 shiv	Changed CPUREVISION to 1.2 and increased sysstacksize.
 *! 03-Sep-2001 shiv    created
 */



load(utils.findFile('assert.tci'));	 // load assert support

// seed file for audio.cdb: ../../include/c55xx.cdb

// add instance dmaCfg.dmaCfg4
dmaCfg4 = prog.module("DMA").create("dmaCfg4");

// add instance dmaCfg.dmaCfg5
dmaCfg5 = prog.module("DMA").create("dmaCfg5");

// add instance mcbspCfg.mcbspCfg2
mcbspCfg2 = prog.module("MCBSP").create("mcbspCfg2");

// SYSTEMSTACK size changed to 0x200
prog.module("MEM").SYSSTACKSIZE = 0x0200;



// value changed:
//    old GBL.CPU Revision = "1.2"
//    new GBL.CPU Revision = "1.0a"
// prog.module("GBL").CPUREVISION = "1.2";

// value changed:
// prog.module("GBL").CLKMD = 0xb50;

// value changed:
//    old GBL.DATAPTRSIZE = 16
//    new GBL.DATAPTRSIZE = 23
assert.add('prog.module("GBL").DATAPTRSIZE == 23');

// value changed:
//    old GBL.Memory Model = "SMALL"
//    new GBL.Memory Model = "LARGE"
prog.module("GBL").MEMORYMODEL = "LARGE";

// value changed:
//    old GBL.LARGEMODEL = 0
//    new GBL.LARGEMODEL = 1
assert.add('prog.module("GBL").LARGEMODEL == 1');

assert.add('DARAM1.iIsUsed == 1');
DARAM1.base = 0x004001;
DARAM1.len = 0x3ffe;
DARAM1.createHeap = 0;

assert.add('HPIBOOT.iIsUsed == 1');
HPIBOOT.base = 0x008000;
HPIBOOT.len = 0x0002;
HPIBOOT.createHeap = 0;

assert.add('SARAM1.iIsUsed == 1');
SARAM1.base = 0x010000;
SARAM1.len = 0x8000;
SARAM1.createHeap = 0;

assert.add('SARAM2.iIsUsed == 1');
SARAM2.base = 0x018000;
SARAM2.len = 0x8000;
SARAM2.createHeap = 0;

assert.add('SARAM3.iIsUsed == 1');
SARAM3.base = 0x020000;
SARAM3.len = 0x5fb0;
SARAM3.createHeap = 0;

assert.add('FIFO.iIsUsed == 1');
FIFO.base = 0x025fb0;
FIFO.len = 0x0050;
FIFO.createHeap = 0;

assert.add('XFER.iIsUsed == 1');
XFER.base = 0x026000;
XFER.len = 0x1fc0;
XFER.createHeap = 0;

assert.add('XFERHDR.iIsUsed == 1');
XFERHDR.base = 0x027fc0;
XFERHDR.len = 0x0040;
XFERHDR.createHeap = 0;

assert.add('SBSRAM.iIsUsed == 1');
SBSRAM.base = 0x028000;
SBSRAM.len = 0x80000;
SBSRAM.createHeap = 0;

assert.add('PDROM.iIsUsed == 1');
PDROM.base = 0x7fc000;
PDROM.len = 0x8000;
assert.add('PDROM.createHeap == 0');

// value changed:
//    old DARAM.len = 0x7f00
//    new DARAM.len = 0x3f00
prog.module("MEM").instance("DARAM").len = 0x3f00;

prog.module("MEM").instance("DARAM").createHeap = 1;

// value changed:
//    old DARAM.heap size = 0x3f80
//    new DARAM.heap size = 0x0f80
prog.module("MEM").instance("DARAM").heapSize = 0x0f80;

// value changed:
//    old SARAM.base = 0x008000
//    new SARAM.base = 0x008002
prog.module("MEM").instance("SARAM").base = 0x008002;

// value changed:
//    old SARAM.len = 0x20000
//    new SARAM.len = 0x7ffe
prog.module("MEM").instance("SARAM").len = 0x7ffe;

// value changed:
//    old MEM.gNumOf = 3
//    new MEM.gNumOf = 13
assert.add('prog.module("MEM").gNumOf == 13');

// value changed:
//    old MEM.gDirty = 0
//    new MEM.gDirty = 1
assert.add('prog.module("MEM").gDirty == 1');

// value changed:
//    old MEM.Argument Buffer Size = 0x0008
//    new MEM.Argument Buffer Size = 0x0010
prog.module("MEM").ARGSSIZE = 0x0010;


// value changed:
//    old HWI_INT15.fxn = prog.decl("HWI_unused", "asm")
//    new HWI_INT15.fxn = prog.decl("DSS_rxdma_isr")
prog.module("HWI").instance("HWI_INT15").fxn = prog.decl("DSS_rxdma_isr");

// value changed:
//    old HWI_INT15.Use Dispatcher = 0
//    new HWI_INT15.Use Dispatcher = 1
prog.module("HWI").instance("HWI_INT15").useDispatcher = 1;

// value changed:
//    old HWI_INT15.Interrupt Mask IER0 = "self"
//    new HWI_INT15.Interrupt Mask IER0 = "bitmask"
prog.module("HWI").instance("HWI_INT15").interruptMask0 = "bitmask";

// value changed:
//    old HWI_INT15.Interrupt Bit Mask IER0 = 0x8000
//    new HWI_INT15.Interrupt Bit Mask IER0 = 0x8010
prog.module("HWI").instance("HWI_INT15").interruptBitMask0 = 0x8010;

// value changed:
//    old HWI_INT15.Interrupt Mask IER1 = "self"
//    new HWI_INT15.Interrupt Mask IER1 = "bitmask"
prog.module("HWI").instance("HWI_INT15").interruptMask1 = "bitmask";

// value changed:
//    old HWI_INT15.Interrupt Bit Mask IER1 = 0x0000
//    new HWI_INT15.Interrupt Bit Mask IER1 = 0x0200
prog.module("HWI").instance("HWI_INT15").interruptBitMask1 = 0x0200;


assert.add('dmaCfg4.iIsUsed == 1');
dmaCfg4.dmaCsdpDataType = "32-bit";
dmaCfg4.dmaCssaSymbolic = "dmaTxBuf";
dmaCfg4.dmaCcrSrcAmode = "Post-incremented";
dmaCfg4.dmaCsdpSrc = "DARAM";
dmaCfg4.dmaDstAddrFormat = "Numeric";
dmaCfg4.dmaCdsaNumeric = 0x006004;
dmaCfg4.dmaCsdpDst = "Peripheral Bus";
dmaCfg4.dmaCcrSync = "McBSP 2 Transmit Event (XEVT2)";
dmaCfg4.dmaCcrPrio = "High";
dmaCfg4.dmaCcrAutoinit = "Enabled";
dmaCfg4.dmaCen = 5;
assert.add('dmaCfg4.dmaCsdp == 0x0606');
assert.add('dmaCfg4.dmaCcr == 0x114a');
assert.add('dmaCfg4.dmaCssalSymbolic == "dmaTxBuf"');
assert.add('dmaCfg4.dmaDstAddrFormatAdv == "Numeric"');
assert.add('dmaCfg4.dmaCdsalNumeric == 0x6004');
assert.add('dmaCfg4.dmaCdsauNumeric == 0x0000');
assert.add('dmaCfg4.dmaCenAdv == 0x0005');

assert.add('dmaCfg5.iIsUsed == 1');
dmaCfg5.iId = 1;
dmaCfg5.dmaCsdpDataType = "32-bit";
dmaCfg5.dmaSrcAddrFormat = "Numeric";
dmaCfg5.dmaCssaNumeric = 0x006000;
dmaCfg5.dmaCsdpSrc = "Peripheral Bus";
dmaCfg5.dmaCdsaSymbolic = "dmaRxBuf";
dmaCfg5.dmaCcrDstAmode = "Post-incremented";
dmaCfg5.dmaCsdpDst = "DARAM";
dmaCfg5.dmaCcrSync = "McBSP 2 Receive Event (REVT2)";
dmaCfg5.dmaCcrRepeat = "Unconditionally";
dmaCfg5.dmaCcrPrio = "High";
dmaCfg5.dmaCcrAutoinit = "Enabled";
dmaCfg5.dmaCicrDropIe = "Enabled";
dmaCfg5.dmaCicrFrameIe = "Enabled";
dmaCfg5.dmaCen = 5;
assert.add('dmaCfg5.dmaCsdp == 0x020e');
assert.add('dmaCfg5.dmaCcr == 0x4349');
assert.add('dmaCfg5.dmaCicr == 0x000a');
assert.add('dmaCfg5.dmaSrcAddrFormatAdv == "Numeric"');
assert.add('dmaCfg5.dmaCssalNumeric == 0x6000');
assert.add('dmaCfg5.dmaCssauNumeric == 0x0000');
assert.add('dmaCfg5.dmaCdsalSymbolic == "dmaRxBuf"');
assert.add('dmaCfg5.dmaCenAdv == 0x0005');

// value changed:
//    old dmaCfg.gSetOf = 0
//    new dmaCfg.gSetOf = 3
assert.add('prog.module("DMA").gSetOf == 3');

// value changed:
//    old dmaCfg.gNumOf = 0
//    new dmaCfg.gNumOf = 2
assert.add('prog.module("DMA").gNumOf == 2');

// value changed:
//    old dmaCfg.gDirty = 0
//    new dmaCfg.gDirty = 1
assert.add('prog.module("DMA").gDirty == 1');

// value changed:
//    old DMA4.Open Handle to DMA  = 0
//    new DMA4.Open Handle to DMA  = 1
prog.module("HDMA").instance("DMA4").dmaHandleEnable = 1;

// value changed:
//    old DMA5.Open Handle to DMA  = 0
//    new DMA5.Open Handle to DMA  = 1
prog.module("HDMA").instance("DMA5").dmaHandleEnable = 1;

// value changed:
//    old hDMA.C55x DMA opened  = 0
//    new hDMA.C55x DMA opened  = 1
prog.module("HDMA").c55dma = 1;

assert.add('mcbspCfg2.iIsUsed == 1');
mcbspCfg2.mcbspPcrIdleEn = 1;
mcbspCfg2.mcbspSpcr1Dxena = "Enable";
mcbspCfg2.mcbspXcr2Xdatdly = "1-bit";
mcbspCfg2.mcbspXcr2Xphase = "Dual-phase";
mcbspCfg2.mcbspXcr1Xwdlen1 = "16-bits";
mcbspCfg2.mcbspXcr2Xwdlen2 = "20-bits";
mcbspCfg2.mcbspXcr2Xfrlen2 = 4;
mcbspCfg2.mcbspXcr2Xfig = "Ignore";
mcbspCfg2.mcbspRcr2Rdatdly = "1-bit";
mcbspCfg2.mcbspRcr2Rphase = "Dual-phase";
mcbspCfg2.mcbspRcr1Rwdlen1 = "16-bits";
mcbspCfg2.mcbspRcr2Rwdlen2 = "20-bits";
mcbspCfg2.mcbspRcr2Rfrlen2 = 4;
mcbspCfg2.mcbspRcr2Rfig = "Ignore";
assert.add('mcbspCfg2.mcbspSpcr1 == 0x0080');
assert.add('mcbspCfg2.mcbspRcr1 == 0x0040');
assert.add('mcbspCfg2.mcbspRcr2 == 0x8365');
assert.add('mcbspCfg2.mcbspXcr1 == 0x0040');
assert.add('mcbspCfg2.mcbspXcr2 == 0x8365');
assert.add('mcbspCfg2.mcbspPcr == 0x4000');

// value changed:
//    old mcbspCfg.gSetOf = 0
//    new mcbspCfg.gSetOf = 1
assert.add('prog.module("MCBSP").gSetOf == 1');

// value changed:
//    old mcbspCfg.gNumOf = 0
//    new mcbspCfg.gNumOf = 1
assert.add('prog.module("MCBSP").gNumOf == 1');

// value changed:
//    old mcbspCfg.gDirty = 0
//    new mcbspCfg.gDirty = 1
assert.add('prog.module("MCBSP").gDirty == 1');

// value changed:
//    old hMCBSP2.Open Handle to McBSP  = 0
//    new hMCBSP2.Open Handle to McBSP  = 1
prog.module("HMCBSP").instance("hMCBSP2").mcbspHandleEnable = 1;

// value changed:
//    old hMCBSP.C55x McBSP opened  = 0
//    new hMCBSP.C55x McBSP opened  = 1
prog.module("HMCBSP").c55mcbsp = 1;

// check any and all asserts added in the script above
assert.check();

