///////////////////////////////////////////////////////////////////////////////
// This file defines symbols and header files that will be used to initialize
//    the Visual Assist system-wide database.
//
//
// This file will always be overwritten by Visual Assist updates.
//
// If you wish to append to it or have it ignored, create a file in 
//    this directory (...\Visual Assist\misc) named stdafx.h.
//
// If you want to append to this list, add '#include <stdafxva.h>' at the top 
//    of your new stdafx.h.  You may want to do this if you use 3rd party
//    class libraries.  The include directories for the 3rd party class library
//    should be specified in the Database page of the Visual Assist options
//    dialog.  Example:
/*
		// sample user-defined Visual Assist stadafx.h
		#include <stdafxva.h>
		#include <someThirdPartyHeaderAll.h>
*/
//
// If you want to completely override this file, don't include it in your 
//    new stdafx.h.  If you decide to do the complete override, you will need
//    to watch for changes in this file in future updates.
//
// If you decide to modify or create your own stdafx.h after Visual Assist 
//    install, you will need to force VA to rebuild its database.  This can be
//    done by pressing the Rebuild button in the Database page of the VA 
//    options dialog.
//
// Future Visual Assist updates will use your modified include settings and
//    your custom stdafx.h to initialize the database when you update.
//
// Future Visual Assist updates will not remove your stdafx.h (nor will 
//    uninstalls).
//

///////////////////////////////////////////////////////////////////////////////
// macro overrides

#define END_INTERFACE_PART_STATIC(i) END_INTERFACE_PART(i)
#define _COM_SMARTPTR_TYPEDEF(cls) typedef _com_ptr_t<cls> cls ## Ptr
#define MIDL_INTERFACE(x) struct
#define STATIC_DOWNCAST(cls, obj) ; cls

///////////////////////////////////////////////////////////////////////////////
// auto hint defs
char* VA_AUTOGUESS_BOOL = "TRUE, FALSE";
char* VA_AUTOGUESS_bool = "true, false";
char* VA_AUTOGUESS_HRESULT = "S_*";
char* VA_AUTOGUESS_HWND = "m_hWnd, this, HWND_*";

char* VA_AUTOGUESS_ONECHAR = "int, INT, long, LONG, char, CHAR, unsigned, UINT, bool, BOOL, HWND, extern, DWORD, double, NULL, void";
char* VA_AUTOGUESS_TWOCHAR = "while, for, switch, CRect, CWnd, CString, ASSERT, const, delete, LPCSTR, return, else";

///////////////////////////////////////////////////////////////////////////////
// default includes

//#include <winnt.h>
//#include <objbase.h>	// needs winnt.h
//#include <winbase.h>
//#include <wtypes.h>
//#include <winuser.h>
//#include <winbase.h>
#include <xiosbase>
#include <atlbase.h>
//#include <winuser.h>
#include <comdef.h>
#include <use_ansi.h>
#include <yvals.h>
#include <stddef.h>
#include <cstddef>
#include <xstddef>
#include <eh.h>
#include <exception>
#include <new>
#include <dlgs.h>
//#include <winver.h>
//#include <winresrc.h>
#include <excpt.h>
#include <stdarg.h>
#include <ctype.h>
#include <pshpack4.h>
#include <poppack.h>
#include <pshpack2.h>
#include <string.h>
//#include <winnt.h>
//#include <windef.h>
//#include <winerror.h>
#include <pshpack1.h>
//#include <wingdi.h>
//#include <winnls.h>
//#include <wincon.h>
//#include <winreg.h>
//#include <winnetwk.h>
#include <cderr.h>
#include <dde.h>
#include <ddeml.h>
#include <lzexpand.h>
#include <mmsystem.h>
#include <nb30.h>
//#include <rpcdcep.h>
//#include <rpcdce.h>
//#include <rpcnsi.h>
//#include <rpcnterr.h>
//#include <rpc.h>
//#include <windows.h>
#include <shellapi.h>
//#include <winperf.h>
//#include <winsock2.h>
//#include <mswsock.h>
//#include <winsock.h>
//#include <wincrypt.h>
#include <commdlg.h>
//#include <winspool.h>
#include <prsht.h>
//#include <ole.h>
//#include <ole2.h>
#include <pshpack8.h>
#include <rpcndr.h>
#include <rpcnsip.h>
#include <stdlib.h>
//#include <wtypes.h>
#include <unknwn.h>
#include <objidl.h>
#include <cguid.h>
#include <oleauto.h>
#include <oaidl.h>
#include <oleidl.h>
//#include <winsvc.h>
#include <mcx.h>
#include <imm.h>
#include <zmouse.h>
#include <commctrl.h>
#include <wchar.h>
#include <mbstring.h>
#include <tchar.h>
#include <mbctype.h>
//#include <afxv_w32.h>
//#include <afxv_cpu.h>
//#include <afxv_mac.h>
//#include <afxv_cfg.h>
//#include <afxv_dll.h>
//#include <afxver_.h>
#include <stdio.h>
#include <time.h>
#include <limits.h>
#include <crtdbg.h>
#include <setjmp.h>
//#include <afxtls_.h>
//#include <afxstat_.h>
//#include <afxcoll.inl>
//#include <afxcoll.h>
//#include <afx.h>
//#include <afx.inl>
//#include <winres.h>
//#include <afxres.h>
//#include <afxmsg_.h>
//#include <afxdd_.h>
//#include <afxdll_.h>
//#include <afxwin1.inl>
//#include <afxwin2.inl>
//#include <richedit.h>
//#include <afxdlgs.inl>
//#include <afxdlgs.h>
//#include <afxwin.h>
//#include <afxext.inl>
#include <ocidl.h>
#include <olectl.h>
#include <afxole.inl>
#include <afxdisp.h>
#include <servprov.h>
#include <docobj.h>
#include <urlmon.h>
#include <afxcom_.h>
#include <richole.h>
#include <afxcmn.inl>
#include <afxplex_.h>
#include <oledlg.h>
#include <afxadv.h>
#include <atlconv.h>
#include <malloc.h>
#include <afxconv.h>
#include <afxpriv2.h>
#include <afxpriv.h>
#include <afxext.h>
#include <atliface.h>
#include <atlconv.cpp>
#include <shlguid.h>
#include <afxdb_.h>
#include <sqltypes.h>
#include <sql.h>
#include <sqlucode.h>
#include <sqlext.h>
#include <afxdb.inl>
#include <dbdaoint.h>
#include <daogetrw.h>
#include <dbdaoid.h>
#include <dbdaoerr.h>
#include <afxdao.inl>
#include <afxmt.inl>
#include <useoldio.h>
#include <streamb.h>
#include <ios.h>
#include <istream.h>
#include <ostream.h>
#include <sys\types.h>
#include <cstdlib>
#include <cstdio>
#include <cwchar>
#include <iosfwd>
#include <cstring>
#include <utility>
#include <xmemory>
#include <wctype.h>
#include <cerrno>
#include <errno.h>
#include <climits>
#include <xutility>
#include <xstring>
#include <stdexcept>
#include <typeinfo>
#include <xlocinfo.h>
#include <locale.h>
#include <xlocinfo>
#include <xlocale>
#include <xlocnum>
#include <streambuf>
#include <ios>
#include <ostream>
#include <istream>
/*
#include <afxrich.inl>
#include <afxole.h>
#include <afxodlgs.h>
#include <afxdb.h>
#include <afxdao.h>
#include <afxcmn.h>
#include <afxmt.h>
*/
#include <io.h>
#include <iostream.h>
#include <fstream.h>
#include <sys\stat.h>
#include <direct.h>
#include <process.h>
#include <strstrea.h>
#include <cctype>
#include <memory>
#include <iterator>
#include <cwctype>
#include <iostream>
#include <fcntl.h>
#include <share.h>
#include <dos.h>
#include <sys\locking.h>
#include <objmodel\addauto.h>
#include <objmodel\appauto.h>
#include <objmodel\appdefs.h>
#include <objmodel\textguid.h>
#include <objmodel\textdefs.h>
#include <objmodel\textauto.h>
#include <iomanip.h>
#include <initguid.h>
