#
#  This file contains the definitions and rules necessary to 
#  build an application for the C55 with GNU make.
#

#  explicitly define the path of c55x tools
C55X_TOOLS = $(TI_DIR)/c5500/cgtools/bin

#  C5500 compiler, assembler, and linker.
CC55 = $(C55X_TOOLS)/cl55
AS55 = $(C55X_TOOLS)/asm55
LD55 = $(C55X_TOOLS)/lnk55

#  Options
#
#  cl55:
#		-c	Disable linking (negate -z)
#  asm55:
#
#  lnk55:
#
CC55FLAGS = -c -qq -D_55_ -D_PROTO_ -i$(TI_DIR)/C5500/bios/include -i$(TI_DIR)/C55tools/include
AS55FLAGS = -qq -mp1 -D_ASM55_ -D.PHASE1 -i$(TI_DIR)/C5500/bios/include 
LD55FLAGS = -i$(TI_DIR)/C55tools/lib -i$(TI_DIR)/C5500/bios/lib 


#  explicitly define the path to Remove
REMOVE = $(TI_DIR)/bin/remove

#
#  Define other directory locations necessary for building programs:
#
#       WINDIR  - the windows system directory
#

ifndef WINDIR
    ifdef windir
	WINDIR := $(windir)
    else
	WINDIR := $(SYSROOT)
    endif
endif

PATH := $(PATH);$(WINDIR)/ti/plugins/bios
export PATH
Path := $(PATH)
export Path

#  Pattern rules to build C5500 executables
%.obj : %.cpp
	cl55 $(CC55FLAGS) $(CC55OPTS) $<

%.obj : %.c
	cl55 $(CC55FLAGS) $(CC55OPTS) $<

%.asm : %.cpp
	cl55 -S $(CC55FLAGS) $(CC55OPTS) $<

%.asm : %.c
	cl55 -S $(CC55FLAGS) $(CC55OPTS) $<

%.obj : %.asm
	$(AS55) $(AS55FLAGS) $(AS55OPTS) $< 

%.obj : %.s55
	$(AS55) $(AS55FLAGS) $(AS55OPTS) $<

%.out : %.obj
	$(LD55) $(LD55FLAGS) $(LD55OPTS) -o $@ $< $(OBJS) $(LIBS) $(CMDS)

#  Implicit rules
.cpp:
	cl55 $(CC55FLAGS) $(CC55OPTS) $<

.c:
	cl55 $(CC55FLAGS) $(CC55OPTS) $<

