/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... IRQ
* FILENAME...... csl_irqdat.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... CSL - Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:       03/30/2000
*   MODIFIED:      06/19/2000
*   LAST MODIFIED: 04/16/2001 updated FILENAME and other header comments
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the IRQ module)
*       Reserved ROM Area for IRQ Data 
*
*
\******************************************************************************/
#ifndef _CSL_IRQ_DATA_H_
  #define _CSL_IRQ_DATA_H_ 

  #include <csl_std.h>

  #define _IRQ_INT_CNT    (28)  /* number of interrupt events */
  #define IRQ_INT_CNT     (16)   /* number of physical interrupts */  
  #define IRQ_EVENT_CNT   (28)

  #define CSL_IRQDATAINIT\
  {     0x00000000u,\
    /* IRQ Physical Interrupt Table */\
        0x00000000u,\
        0x00000001u,\
        0x00000002u,\
        0x00000003u,\
        0x00000004u,\
        0x00000005u,\
        0x00000006u,\
        0x00000007u,\
        0x00000008u,\
        0x00000009u,\
        0x0000000Au,\
        0x0000000Bu,\
        0x0000000Cu,\
        0x0000000Fu,\
        0x00000010u,\
        0x00000011u,\
        0x00000012u,\
        0x00000013u,\
        0x00000014u,\
        0x00000015u,\
      /* IRQ EventId Table */\
        0x00000000u,\
        0x00000001u,\
        0x00000002u,\
        0x00000004u,\
        0x00000008u,\
        0x00000010u,\
        0x00000020u,\
        0x00000040u,\
        0x00000080u,\
        0x00000100u,\
        0x00000200u,\
        0x00000400u,\
        0x00000800u,\
        0x00001000u,\
        0x00002000u,\
        0x00004000u,\
        0x00008000u,\
        0x00010000u,\
        0x00020000u,\
        0x00040000u,\
        0x00080000u\
}
 
typedef void (*IRQ_IsrPtr)(void);

typedef struct {
  IRQ_IsrPtr funcAddr;
  Uint32 ierMask;
  Uint32 cacheCtrl;
  Uint32 funcArg;
} _IRQ_Dispatch;


typedef struct {
  _IRQ_Dispatch *IrqDispatchTable;
  Uint32 IrqIntTable[IRQ_INT_CNT];
  Uint32 IrqEventTable[IRQ_EVENT_CNT];
} CSL_IrqDataObj;
#endif
