/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== dgn_fcon.c ========
 *  Spectron-supplied "user" function for DGN.
 *
 */

#include <std.h>

#include <dgn.h>

/*
 *  ======== DGN_fconst ========
 *  Fill the buffer whose address is "addr" with constant values generated
 *  "size" times.
 */
Void DGN_fconst(DGN_GenObj *gen, Float *addr, Uns size)
{
    Int                 i;

    for (i = (size / sizeof(Float)); i > 0; i--) {
        *addr++ = gen->dparams->constant.value;
    }
}

