/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== dnl.c ========
 *  NULL device ala /dev/null
 *
 */

#include <std.h>

#include <dev.h>
#include <que.h>
#include <sys.h>

#include <dnl.h>

Int DNL_exchange();

/*
 *  Driver function table.
 */
DEV_Fxns DNL_FXNS = {
    DEV_CLOSE,          /* close */
    DEV_CTRL,           /* ctrl */
    DEV_IDLE,           /* idle */
    DNL_exchange,       /* issue */
    DEV_OPEN,           /* open */
    DEV_READY,          /* ready */
    (DEV_Treclaim)SYS_zero      /* reclaim */
};

/*
 *  ======== DNL_exchange ========
 */
Int DNL_exchange(DEV_Handle device)
{
    QUE_put(device->fromdevice, QUE_get(device->todevice));

    return (SYS_OK);
}
