/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== dtr_mult.c ========
 *  Spectron-supplied "user" function for DTR.
 *
 */

#include <std.h>

#include <dtr.h>

/*
 *  ======== DTR_multiply ========
 *
 *  This transformation simply scales the data by an amount
 *  specified when the device was opened.
 *
 *  *addr = *addr * scale
 */
Void DTR_multiply(Arg arg, DTR_Elem *addr, Uns size)
{
    register Int        i;
    register DTR_Scale  scale;

    scale = *(DTR_Scale *)arg;

    for (i = (size / sizeof(DTR_Elem)); i > 0; i--, addr++) {
        *addr = *addr * scale;
    }
}

