/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== utl_doer.c ========
 *
 *  An error function, typically configured in the SYS module.
 *
 */

#pragma CODE_SECTION(UTL_doError, ".bios")

#include <std.h>
#include <sys.h>
#include <log.h>
#include <stdarg.h>
#include <utl.h>

/* 
 *  ======== UTL_doError ========
 */
Void UTL_doError(String s, Int errno, va_list ap)
{
#if UTL_USESYS
    SYS_printf("*** %s ERROR 0x%x ", s, errno);

    if (errno < SYS_EUSER) {
        SYS_vprintf(SYS_errors[errno], ap);
    }

    SYS_putchar('\n');
#else
    LOG_error("SYS_error called: error id = 0x%x", (Arg)errno);
#endif

}
