;***********************************************************
; Version 2.10.03                                           
;***********************************************************
; Function:    minidx
; Processor:   C55xx
; Description: the index of the minimum element of a vector x. In case
;	of multiple minimum elements, r contains the index of the last minimum
;	element found
; Usage:    short r = minidx (DATA *x, ushort nx)
;	Arguments:
;	x[nx] Pointer to input vector of size nx
;	r Index for vector element with minimum value
;	nx Lenght of input data vector (nx >= 6)
; Copyright Texas instruments Inc, 2000
;****************************************************************
 
 
        .text

        .global _minidx    
	
_minidx:

	MOV	*AR0+, AC1
	||SUB	#2, T0

	MOV	T0, BRC0
	||MOV	#0, AR1

	MOV	#0, T0
	||RPTBLOCAL	loop1-1
	MOV	*AR0+, AC0
	||AMAR	*AR1+
	MIN	AC0, AC1
	XCCPART	check, !CARRY
	||MOV	AR1, T0
check:

loop1:
	
	RET
