/*
 *  Copyright 2001 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) XDAS 2.2.1 12-07-01 (__imports)" */
/*
 *  ======== irtc.h ========
 */
#ifndef IRTC_
#define IRTC_

#ifdef __cplusplus
extern "C" {
#endif

#include <log.h>

/*---------------------------*/
/*    TYPES AND CONSTANTS    */
/*---------------------------*/

#define IRTC_ENTER      0
#define IRTC_CLASS1     1
#define IRTC_CLASS2     2
#define IRTC_CLASS3     3
#define IRTC_CLASS4     4
#define IRTC_CLASS5     5
#define IRTC_CLASS6     6
#define IRTC_CLASS7     7

/*
 *  ======== IRTC_Handle ========
 *  Handle to a testable instance object
 */
typedef struct IRTC_Obj *IRTC_Handle;

/*
 *  ======== IRTC_Mask ========
 */
typedef LgUns IRTC_Mask;

/*
 *  ======== IRTC_Fxns ========
 */
typedef struct IRTC_Fxns {
    Void        *implementationId;
    Void        (*rtcBind)(LOG_Obj *log);
    IRTC_Mask   (*rtcGet)(IRTC_Handle);
    Void        (*rtcSet)(IRTC_Handle, IRTC_Mask mask);
} IRTC_Fxns;

#ifdef __cplusplus
}
#endif

#endif  /* IRTC_ */
