/*
 *  Copyright 2001 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) XDAS 2.2.1 12-07-01 (__imports)" */
/*
 *  ======== rtc.h ========
 */
#ifndef RTC_
#define RTC_

#include <irtc.h>
#include <alg.h>
#include <log.h>

#define RTC_ENTER       (1 << IRTC_ENTER)
#define RTC_WARNING     (1 << IRTC_CLASS1)

/*
 *  ======== RTC_Desc ========
 */
typedef struct RTC_Desc {
    IRTC_Fxns   *fxns;      /* test functions */
    IRTC_Handle handle;     /* test object */
    IRTC_Mask   mask;       /* current mask setting */
} RTC_Desc;

/*
 *  ======== RTC_bind ========
 */
extern Void RTC_bind(IRTC_Fxns *fxns, LOG_Obj *log);

/*
 *  ======== RTC_create ========
 */
extern RTC_Desc *RTC_create(RTC_Desc *obj, ALG_Handle alg, IRTC_Fxns *fxns);

/*
 *  ======== RTC_delete ========
 */
#define RTC_delete(rtc)

/*
 *  ======== RTC_disable ========
 */
extern Void RTC_disable(const RTC_Desc *rtc);

/*
 *  ======== RTC_enable ========
 */
extern Void RTC_enable(const RTC_Desc *rtc);

/*
 *  ======== RTC_exit ========
 */
extern Void RTC_exit(Void);

/*
 *  ======== RTC_get ========
 */
extern IRTC_Mask RTC_get(RTC_Desc *rtc);

/*
 *  ======== RTC_init ========
 */
extern Void RTC_init(Void);

/*
 *  ======== RTC_set ========
 */
extern Void RTC_set(RTC_Desc *rtc, IRTC_Mask mask);

#endif  /* RTC_ */
