/*
 *  Copyright 2001 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) XDAS 2.2.1 12-07-01 (__imports)" */
/*
 *  ======== fir_ti_irtc.c ========
 *  Filter Module IRTC implementation - TI's implementation of the
 *  IRTC interface for the FIR filter algorithm
 */
#include <std.h>

#include <irtc.h>
#include <fir_ti.h>
#include <fir_ti_priv.h>
#include <log.h>

/*
 *  ======== FIR_TI_rtcOut ========
 *  This module's output trace log.
 */
LOG_Obj *FIR_TI_rtcOut = NULL;

/*
 *  ======== FIR_TI_rtcBind ========
 */
Void FIR_TI_rtcBind(LOG_Obj *log)
{
    FIR_TI_rtcOut = log;

    FIR_TI_trace("FIR_TI_rtcBind(0x%lx)\n", log, NULL);
}

/*
 *  ======== FIR_TI_rtcGet ========
 */
IRTC_Mask FIR_TI_rtcGet(IRTC_Handle handle)
{
    FIR_TI_Obj *fir = (Void *)handle;

    FIR_TI_trace("FIR_TI_rtcGet(0x%lx) = 0x%x\n", handle, fir->mask);

    return (fir->mask);
}

/*
 *  ======== FIR_TI_rtcSet ========
 */
Void FIR_TI_rtcSet(IRTC_Handle handle, IRTC_Mask mask)
{
    FIR_TI_Obj *fir = (Void *)handle;

    FIR_TI_trace("FIR_TI_rtcSet(0x%lx, 0x%x)\n", handle, mask);

    fir->mask = mask;
}
