/*
 *  Copyright 2001 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) XDAS 2.2.1 12-07-01 (__imports)" */
/*
 *  ======== fir_ti_itst.c ========
 *  Filter Module ITST implementation - TI's implementation of the
 *  ITST interface for the FIR filter algorithm
 */
#include <std.h>
#include <itst.h>
#include <ifir.h>
#include <fir_ti.h>
#include <fir_ti_priv.h>

/*
 *  ======== FIR_TI_tstGetParams ========
 */
Void FIR_TI_tstGetParams(ITST_Handle handle, Int op,
                            ITST_ParamRec in[], ITST_ParamRec out[])
{
    FIR_TI_Obj *fir = (Void *)handle;

    in[0].maxFrameSize = fir->frameLen * sizeof (Int);
    in[0].itemSize = sizeof (Int);
    in[0].itemBits = 32;
    in[0].flags = ITST_SIGNED;

    out[0] = in[0];
}

/*
 *  ======== FIR_TI_tstProcess ========
 */
Void FIR_TI_tstProcess(ITST_Handle handle, Int op,
                            ITST_Frame in[], ITST_Frame out[])
{
    IFIR_Handle fir = (Void *)handle;

    FIR_TI_filter(fir, (Int *)in[0].buffer, (Int *)out[0].buffer);

    out[0].len = out[0].size;
}

