/*****************************************************************************/
/* extaddr.h  v2.04                                                         */
/* Copyright (c) 1996-2001  Texas Instruments Incorporated                   */
/*****************************************************************************/

#ifndef _EXTADDR
#define _EXTADDR

/**************************************************************************/
/* Type of extended memory data address values                            */
/**************************************************************************/
typedef unsigned long FARPTR;

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/**************************************************************************/
/* Prototypes for Extended Memory Data Support Functions                  */
/*                                                                        */
/* far_peek         Read an int from extended memory address              */
/* far_peek_l       Read a long from extended memory address              */
/* far_poke         Write an int to extended memory address               */
/* far_poke_l       Write a long to extended memory address               */
/* far_memcpy       Block copy between extended memory addresses          */
/* far_near_memcpy  Block copy from extended memory address to page 0     */
/* near_far_memcpy  Block copy from page 0 to extended memory address     */
/*                                                                        */
/**************************************************************************/
int           far_peek(FARPTR);
unsigned long far_peek_l(FARPTR);
void          far_poke(FARPTR, int);
void          far_poke_l(FARPTR, unsigned long);

void          far_memcpy(FARPTR, FARPTR,  int);
void          far_near_memcpy(void *, FARPTR,  int);
void          near_far_memcpy(FARPTR, void *,  int);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* !_EXTADDR */
