/*****************************************************************************/
/* limits.h   v2.04                                                         */
/* Copyright (c) 1996-2001 Texas Instruments Incorporated                    */
/*****************************************************************************/

/*****************************************************************************/
/* TMS320C55xx machine limits                                                */
/*****************************************************************************/

#ifndef _LIMITS
#define _LIMITS

#define CHAR_BIT                16    /* NUMBER OF BITS IN TYPE CHAR  	  */
#define SCHAR_MAX            32767    /* MAX VALUE FOR SIGNED CHAR    	  */
#define SCHAR_MIN   (-SCHAR_MAX-1)    /* MIN VALUE FOR SIGNED CHAR    	  */
#define UCHAR_MAX            65535U   /* MAX VALUE FOR UNSIGNED CHAR  	  */
#define CHAR_MAX         SCHAR_MAX    /* MAX VALUE FOR CHAR           	  */
#define CHAR_MIN         SCHAR_MIN    /* MIN VALUE FOR CHAR           	  */
#define MB_LEN_MAX               1    /* MAX # BYTES IN MULTI-BYTE    	  */
     
#define SHRT_MAX             32767    /* MAX VALUE FOR SHORT          	  */
#define SHRT_MIN     (-SHRT_MAX-1)    /* MIN VALUE FOR SHORT          	  */
#define USHRT_MAX            65535U   /* MAX VALUE FOR UNSIGNED SHORT 	  */
    
#define INT_MAX              32767    /* MAX VALUE FOR INT            	  */
#define INT_MIN       (-INT_MAX-1)    /* MIN VALUE FOR INT            	  */
#define UINT_MAX             65535U   /* MAX VALUE FOR UNSIGNED INT   	  */
    
#define LONG_MAX        2147483647L   /* MAX VALUE FOR LONG           	  */
#define LONG_MIN     (-LONG_MAX-1)    /* MIN VALUE FOR LONG           	  */
#define ULONG_MAX       4294967295UL  /* MAX VALUE FOR UNSIGNED LONG  	  */

#define LLONG_MIN   (-LLONG_MAX-1)    /* MIN VALUE FOR LONG LONG      	  */
#define LLONG_MAX     549755813887    /* MAX VALUE FOR LONG LONG      	  */
#define ULLONG_MAX   1099511627775U   /* MAX VALUE FOR UNSIGNED LONG LONG */

#endif
