/*****************************************************************************/
/*  FILE.H v2.203                                                            */
/*  Copyright (c) 1995-2002 Texas Instruments Incorporated                   */
/*****************************************************************************/

/*****************************************************************************/
/* Macros and declarations used in lowlevel I/O functions.                   */
/*****************************************************************************/
#ifndef _FILE
#define _FILE

#include <linkage.h>

/*---------------------------------------------------------------------------*/
/* constants for file manipulations                                          */
/*---------------------------------------------------------------------------*/
#define  O_RDONLY    (0x0000) /* open for reading      */
#define  O_WRONLY    (0x0001) /* open for writing      */
#define  O_RDWR      (0x0002) /* open for read & write */
#define  O_APPEND    (0x0008) /* append on each write  */
#define  O_CREAT     (0x0200) /* open with file create */
#define  O_TRUNC     (0x0400) /* open with truncation  */
#define  O_BINARY    (0x8000) /* open in binary mode   */

/*---------------------------------------------------------------------------*/
/* lowlevel I/O declarations                                                 */
/*---------------------------------------------------------------------------*/
#ifdef __cplusplus
#define _DECL extern "C"
namespace std
{
#else /* ! __cplusplus */
#define _DECL extern
#endif
_DECL _CODE_ACCESS int  open(const char *path, unsigned flags, int mode);
_DECL _CODE_ACCESS int  read(int fildes, char *bufptr, unsigned cnt);
_DECL _CODE_ACCESS int  write(int fildes, const char *bufptr, unsigned cnt);
_DECL _CODE_ACCESS long lseek(int fildes, long offset, int origin);
_DECL _CODE_ACCESS int  close(int fildes);
_DECL _CODE_ACCESS int  unlink(const char *path);
_DECL _CODE_ACCESS int  rename(const char *old_name, const char *new_name);
#ifdef __cplusplus
} /* namespace std */
#endif

#undef _DECL

#endif /* _FILE */

