#!/bin/sh 
#
#user feedback
#
echo loading java debugger ...

#
# java major version number
#
echo getting java version
JAVA_VERSION=`java -version 2>&1 | awk '/^java version/ {print $NF}' | sed -e 's/"//g' | awk -F. '{ if ($3!="")printf "%s.%s.%s\n",$1,$2,$3 ;else printf "%s.%s.0\n",$1,$2 }'`
echo "java version is $JAVA_VERSION"
#
# get platform
#
PLATFORM=`sh $SNIFF_DIR/bin/sniff_arch`
SNIFF_CLASSPATH=""
#
# get jdk position
#
if [ "$PLATFORM" = "i386-unknown-win95" -o "$PLATFORM" = "i386-unknown-winnt4" ]; then
    JAVA_EXE=`sh $SNIFF_DIR/bin/whichjava.sh java.exe`
    JDK_DIR_TMP1=`dirname $JAVA_EXE`
    # remove bin directory from path
    JDK_DIR_TMP2=`dirname $JDK_DIR_TMP1`
    JDK_DIR=`echo $JDK_DIR_TMP2 |  sed -e 's/^\/\///g' | sed -e 's/^[a-zA-Z]/&:/g'`
else
    JAVA_EXE=`sh $SNIFF_DIR/bin/whichjava.sh java`
    JDK_DIR_TMP=`dirname $JAVA_EXE`
    # remove bin directory from path
    JDK_DIR=`dirname $JDK_DIR_TMP`
fi
#echo "JAVA_EXE" $JAVA_EXE
#echo "JDK_DIR " $JDK_DIR

# do not use SNIFFs JPDA libs per default
USE_SNIFF_JPDA_LIB=0
#
# decide which jdk version to use
#
if [ "$SNIFF_USE_JDK12" = "" ]; then
	SNIFF_USE_JDK12=0
	JAVA_MAJOR=`echo $JAVA_VERSION | awk -F. '{print $1}'`
	JAVA_MINOR=`echo $JAVA_VERSION | awk -F. '{print $2}'`
	JAVA_MINOR2=`echo $JAVA_VERSION | awk -F. '{print $3}'`
	if [ "$JAVA_MAJOR" = 1 ]; then
	    case $JAVA_MINOR in
	    0*) SNIFF_USE_JDK12=0
	      	;;
	    1*) SNIFF_USE_JDK12=0
	       	;; 
	    2*) if [ "$PLATFORM" = "i386-unknown-win95" -o "$PLATFORM" = "i386-unknown-winnt4" -o "$PLATFORM" = "sparc-sun-solaris2.3" ]; then	
		    if [ "$JAVA_MINOR2" -ge 1 ]; then
		        SNIFF_USE_JDK12=1
			USE_SNIFF_JPDA_LIB=1
		    else
			SNIFF_USE_JDK=0
		    fi
		 else
		    SNIFF_USE_JDK12=0
		 fi
		 ;;
	    *) SNIFF_USE_JDK12=1
		    ;;   
	    esac
      	 else
	    SNIFF_USE_JDK12=1
	 fi
fi
#echo "sniffjdijdb is $SNIFF_USE_JDK12"
#echo "USE_SNIFF_JPDA_LIB" $USE_SNIFF_JPDA_LIB

#
# change the current directory if necessary
#
arglist=""

while [ $# -ne 0 ]
do
	arg="$1"
	
# $arg not quoted -> no blanks in path names 

	case "$arg" in
	-cd)
		arglist="$arglist $arg"
		shift 1
		if [ $# -eq 0 ]
		then
			echo "$0: missing path after -cd option" 1>&2
			exit 1
		fi
		arg="$1"
		cd "$arg";
		echo cd $arg
	esac

	shift 1
	
	if [ $# -ne 0 ]
	then
		arglist="$arglist $arg"
	fi
done


target=`expr "$arg" : '\(.*\)\.sh'`

case "$target" in
?:/*)
	. $target.env
	;;
?:\\*)
	. $target.env
	;;
/*)
	. $target.env
	;;
\\*)
	. $target.env
	;;
*)
	. ./$target.env
	;;
esac

# this new variable is needed, because java cannot handle path names with a double slash, e.g.//E/sniff, which we have to use
# one a win 95 platform
SNIFF_DIR_FOR_SNIFFJDB=$SNIFF_DIR
#
# set variables in a platform specific manner
#
if [ "$SNIFF_USE_JDK12" = 1 ]; then
    # use sniffjdijdb debugger
    JDB_EXE=COM.takefive.sniffjdijdb.SniffJdb
    if [ "$USE_SNIFF_JPDA_LIB" = 1 ]; then
	# set CLASSPATH, PATH or LD_LIBRARY_PATH to SNiFFs libraries
	if [ "$PLATFORM" = "i386-unknown-winnt4" -o  "$PLATFORM" = "i386-unknown-win95" ]; then
	    SNIFF_CLASSPATH="$SNIFF_DIR/lib/java;$SNIFF_DIR/lib/java/jpda/win/jpda.jar;$SNIFF_DIR/lib/java/tools.jar"
	    SNIFF_DIR=`echo $SNIFF_DIR | awk -F: '{printf "//%s%s",$1,$2}' | sed -e 's^\\\\^/^g`
	    PATH=$SNIFF_DIR/lib/java/jpda/win:$PATH
	elif [ "$PLATFORM" = "sparc-sun-solaris2.3" ]; then
	    SNIFF_CLASSPATH="$SNIFF_DIR/lib/java:$SNIFF_DIR/lib/java/jpda/sparc/jpda.jar:$SNIFF_DIR/lib/java/tools.jar"
	    if [ "$LD_LIBRARY_PATH" != "" ]; then
		LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$SNIFF_DIR/lib/java/jpda/sparc
	    else
		LD_LIBRARY_PATH=$SNIFF_DIR/lib/java/jpda/sparc
	    fi
	    export LD_LIBRARY_PATH
	fi    
    elif [ "$USE_SNIFF_JPDA_LIB" = 0 ]; then
	# set CLASSPATH, PATH or LD_LIBRARY_PATH to used jdk installation dir 
	if [ "$PLATFORM" = "i386-unknown-win95" -o "$PLATFORM" = "i386-unknown-winnt4" ]; then
	    SNIFF_CLASSPATH="$SNIFF_DIR/lib/java;$JDK_DIR/lib/tools.jar"
	    PATH=$JDK_DIR/bin:$PATH
	else
	    SNIFF_CLASSPATH="$SNIFF_DIR/lib/java:$JDK_DIR/lib/tools.jar"
	    PROC_TYPE=`echo $PLATFORM | awk -F- '{print $1}'`
	    if [ "$LD_LIBRARY_PATH" != "" ]; then
		LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$JDK_DIR/lib/$PROC_TYPE
	    else
		LD_LIBRARY_PATH=$JDK_DIR/lib/$PROC_TYPE
	    fi
	    export LD_LIBRARY_PATH	
#    	    echo "LD_LIBRARY_PATH = " $LD_LIBRARY_PATH
	fi
    fi
    # use sniffjdb  debugger
elif [ "$PLATFORM" = "i386-unknown-winnt4" -o "$PLATFORM" = "i386-unknown-win95" ]; then
    JDB_EXE=COM.takefive.sniffjdb.SniffJdb
    SNIFF_CLASSPATH="$SNIFF_DIR/lib/java;$SNIFF_DIR/lib/java/rose.jar;$SNIFF_DIR/lib/java/swing.jar;$SNIFF_DIR/lib/java/tools.jar"
else
    JDB_EXE=COM.takefive.sniffjdb.SniffJdb
    SNIFF_CLASSPATH="$SNIFF_DIR/lib/java:$SNIFF_DIR/lib/java/rose.jar:$SNIFF_DIR/lib/java/swing.jar:$SNIFF_DIR/lib/java/tools.jar"
fi

if [ "$CLASSPATH" = "" ]; then
    CLASSPATH="$SNIFF_CLASSPATH"
elif [ "$PLATFORM" = "i386-unknown-winnt4" -o "$PLATFORM" = "i386-unknown-win95" ]; then
    CLASSPATH="$CLASSPATH;$SNIFF_CLASSPATH"
else
    CLASSPATH="$CLASSPATH:$SNIFF_CLASSPATH"
fi
export PATH
export CLASSPATH

#echo "PATH = " $PATH
#echo "CLASSPATH = " $CLASSPATH

arglist="$arglist $JAVA_TARGET"

suffix=`expr "$arg" : '.*\.\(.*\)\.sh'`
# note: only some html suffixes supported
case "$suffix" in
html|shtml|htm)
	
	java $JDB_EXE sun.applet.AppletViewer $arglist -sniffdir $SNIFF_DIR_FOR_SNIFFJDB
	;;
*)
  	java $JDB_EXE $arglist -sniffdir $SNIFF_DIR_FOR_SNIFFJDB
	;;
esac

