#!/bin/sh
#
# SniffEdit.sh -- SNiFF Editor via sniffaccess
#
# if SNiFF does not respond, exec SNIFF_ALTERNATE_EDITOR
# $1 == filename $2 == lineNumber
#

SESSIONS=x`ls /tmp/.sniffdir2/sniffappcom*$USER 2>/dev/null`
#echo "SESSIONS is |$SESSIONS|"
case $SESSIONS in
x)
   echo "No current SNiFF session, reverting to $SNIFF_ALTERNATE_EDITOR"
   ;;
*)
   myDir=`dirname $0`
   TMPFILE=/tmp/snifft2_res_$$
   echo "Calling sniffaccess -q edit_file '*/' $1 $2"
   RES=`$myDir/sniffaccess -q edit_file '*/' $1 $2 2>$TMPFILE`
   res=$?
   case $res in
   0) case x$RES in
       x) # command executed without error!
          exit 0
          ;;
       esac
       ;;
   esac
   # error executing the command!
   echo "--> sniffaccess ERROR $res:"
   echo $RES
   cat $TMPFILE
   echo "...reverting to $SNIFF_ALTERNATE_EDITOR"
   ;;
esac
case x$SNIFF_ALTERNATE_EDITOR in
x) SNIFF_ALTERNATE_EDITOR=vi
   ;;
esac
exec $SNIFF_ALTERNATE_EDITOR $*
