/* hotLib.c - Output hot text in different languages */

/* Copyright 2000 Wind River Systems, Inc. */

/*
modification history
--------------------
01a,02feb00,mob  written
*/

/*
DESCRIPTION
Output hot text in different languages

NOMANUAL
*/

#include <stdio.h>
#include "hotLib.h"

/* global */

/* local */
static int curLang = UNKNOWN;

/* forward declaration */

/*******************************************************************************
*
* setLanguage - set a language for future display
*
* set a language for future display
*
* EXAMPLES:
* setLanguage(ENGLISH)
*
* RETURNS:
* nothing
*
*/
void setLanguage(int lang)
{
	curLang = lang;
}


/*******************************************************************************
*
* printHot - print Hot warning in current language
*
* print Hot warning in current language
*
* EXAMPLES:
* printHot()
*
* RETURNS:
* nothing
*
*/
void printHot()
{
	switch(curLang)
	{
	case GERMAN: 
		printf("Achtung: HEISS!\n"); break;
	case FRENCH: 
		printf("Attention: CHAUD!\n"); break;
	default:
		/* default to english language for unknown ones */
		printf("WARNING: HOT!\n"); break;
	}
}
