##################################################################
# SNiFF+ and Tornado Integration Project
# basic constants used in the integration
#
# File Version:
# $Id: torConstants.py,v 1.23 2000/04/21 13:40:44 mober Exp $
#
# Authors:
# - Uwe Stieber
#
# Adapter History:
# - 0.01 file creation-  02/04/2000
#
# Limitation:
# - currently no limitations know
#
# Notes:
# - Please report problems to sniff-support@takefive.co.at
#
##################################################################

# import basic system services
import os, sys, string

# Tornado Integration Version Information Field
# ATTENTION: This field will be generated automatically
# Don't touch it !
torIntegrationVersion = {
					"Version":		"1.0_final_beta",
					"PatchLevel":	"",
					"Date":			"26-Apr-2000"
				}
 
# set the Debug Mode
DEBUG=0
if os.environ.has_key("SNIFF_TORNADO_DEBUG"):
	DEBUG=os.environ["SNIFF_TORNADO_DEBUG"]

# global helper constants
false = 0
true = 1

# Tornado Integration Config File Name
prefsFileBaseName = "torIntPrefs.sniff"

# Tornado Integration Target Server Name file
tgtSvrFileName = ".curTgtSvr"

# System dependent constants
NullDevice="/dev/null"
if sys.platform == "win32":
	NullDevice="NUL:"

# debug log helper function
def filterUnprintable(input):
	import re
	if input:
		output = re.sub(r"@", r"@@", input)
	else:
		output = ""
	return output

def ToggleDebug():
	global DEBUG
	try:
		DEBUG=1-DEBUG
		if DEBUG:
			print "torDEBUG=1 : Debug output for SNiFF+ Tornado Integration functions is now switched ON"
		else:
			print "torDEBUG=0 : Debug output for SNiFF+ Tornado Integration functions is now switched OFF"
	except:
		pass

# Tornado Tool Launcher Exception
# will be thrown, if the requested target server isn't running
import exceptions
class TgtSvrNotRunningException(exceptions.StandardError):
	pass

class InvalidTgtSvrException(exceptions.StandardError):
	pass

class ScriptExecutionFailure(exceptions.StandardError):
	pass
