##################################################################
# SNiFF+ and Tornado Integration Project
# support routines for downloading the application to the target
#
# File Version:
# $Id: torDownloadTgt.py,v 1.13 2000/04/21 13:40:42 mober Exp $
#
# Authors:
# - Uwe Stieber
#
# Adapter History:
# - 0.01 file creation-  02/02/2000
#
# Limitation:
# - currently no limitations know
#
# Notes:
# - Please report problems to sniff-support@takefive.co.at
#
##################################################################

# import some system services
import sys, os, string, regsub

# import SNiFF+ GUI interface
from etgui import *
from PageLayout import *
import vcs

# import basic constants
import torConstants
from torConstants import false, true

# import Tornado Integration Services
import torBaseServices
import torWtxTclTool

# import Tornado integration helper
import torMessageBox

# function downloads the application to the target
def startDownload(applicationName, extensionReplacement=""):
	if torConstants.DEBUG:
		print "(%s)@B@g>>>@x startDownload@B" % __name__
	if extensionReplacement:
		applicationName=regsub.sub('\.[^.]+$', extensionReplacement, applicationName)
		if torConstants.DEBUG:
			print "Downloading ", applicationName
	# test the file to download if this file exists
	if os.path.isfile(applicationName) and os.path.exists(os.path.normpath(applicationName)):
		tgtSvrHandler = torBaseServices.getDefaultTgtSvrHandler()
		currentTgtSvrName = tgtSvrHandler.getCurrentTgtSvrName()
		if tgtSvrHandler.isTgtSvrActive(currentTgtSvrName) == true:
			rc = checkObjModuleOnTgt(currentTgtSvrName, os.path.basename(applicationName))
			if rc != 2:		# no API failure
				if rc == true:
					# ask for overwrite
					answer = torMessageBox.messageBox("Object module @B'%s'@B already donwloaded on the target ! Overwrite ??" % applicationName, "Object Module Download", torMessageBox.MB_YESNO | torMessageBox.MB_ICONQUESTION)
					if answer == torMessageBox.IDYES:
						# allow the download
						rc = false
				if rc == false:
					# ok, we can download to the target
					command = "wtxObjModuleLoad %s ; quit" % vcs.normpath(applicationName)
					if torConstants.DEBUG:
						print '(%s)\texecute command: windsh -n -T -e "%s" %s > %s' % (__name__, command, torConstants.filterUnprintable(currentTgtSvrName), torConstants.NullDevice)
					os.system('windsh -n -T -e "%s" %s > %s' % (command, currentTgtSvrName, torConstants.NullDevice))
					# check the success on the target of the download operation
					rc = checkObjModuleOnTgt(currentTgtSvrName, os.path.basename(applicationName))
					if rc != 2:		# no API failure
						if rc == true:
							torMessageBox.messageBox("Download of @B'%s'@B finished successfully !" % applicationName, "Download finished", torMessageBox.MB_OK | torMessageBox.MB_ICONINFORMATION)
						else:
							torMessageBox.messageBox("Download of @B'%s'@B failed !" % applicationName, "Download failed", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
		else:
			torMessageBox.messageBox("There is currently no target server running on this machine ! Please start a target server before downloading !", "No running target server", torMessageBox.MB_OK | torMessageBox.MB_ICONINFORMATION)
	else:
		if os.path.isdir(applicationName):
			torMessageBox.messageBox("@B'%s'@B is a directory !\n\nPlease check if the selected project in the Projects Editors project tree window is the correct one and be sure, that the file was compiled before downloading and if so, press the @B'ESC'@B button in the SNiFF+ Project Editor file list window to avoid confusing the download by any selected file !" % applicationName, "Download failure", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
		else:
			torMessageBox.messageBox("Can't find the file @B'%s'@B !\n\nPlease be sure, that the file was compiled before downloading and if so, press the @B'ESC'@B button in the SNiFF+ Project Editor file list window to avoid confusing the download by any selected file !" % applicationName, "Download failure", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
	if torConstants.DEBUG:
		print "(%s)@B@r<<<@x startDownload@B" % __name__
	return

# function unloads the application from the target
def startUnload(applicationName, extensionReplacement=""):
	if torConstants.DEBUG:
		print "(%s)@B@g>>>@x startUnload@B" % __name__
	if extensionReplacement:
		applicationName=regsub.sub('\.[^.]+$', extensionReplacement, applicationName)
		if torConstants.DEBUG:
			print "Downloading ", applicationName
	if string.strip(applicationName) != "":
		tgtSvrHandler = torBaseServices.getDefaultTgtSvrHandler()
		currentTgtSvrName = tgtSvrHandler.getCurrentTgtSvrName()
		if tgtSvrHandler.isTgtSvrActive(currentTgtSvrName) == true:
			# check, if the module on the target
			rc = checkObjModuleOnTgt(currentTgtSvrName, os.path.basename(applicationName))
			if rc != 2:		# no API failure
				if rc == true:
					# ok, we can unload the module on the target now
					command = "wtxObjModuleUnload %s ; quit" % vcs.normpath(applicationName)
					if torConstants.DEBUG:
						print '(%s)\texecute command: windsh -n -T -e "%s" %s > %s' % (__name__, command, torConstants.filterUnprintable(currentTgtSvrName), torConstants.NullDevice)
					os.system('windsh -n -T -e "%s" %s > %s' % (command, currentTgtSvrName, torConstants.NullDevice))
					# check the success on the target of the download operation
					rc = checkObjModuleOnTgt(currentTgtSvrName, os.path.basename(applicationName))
					if rc != 2:		# no API failure
						if rc == false:
							torMessageBox.messageBox("Unload of @B'%s'@B finished successfully !" % applicationName, "Unload finished", torMessageBox.MB_OK | torMessageBox.MB_ICONINFORMATION)
						else:
							torMessageBox.messageBox("Unload of @B'%s'@B failed !" % applicationName, "Unload failed", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
				else:
					torMessageBox.messageBox("Object module @B'%s'@B not downloaded on the selected target ! No Unload operation necessary !" % applicationName, "Unload failed", torMessageBox.MB_OK | torMessageBox.MB_ICONINFORMATION)
		else:
			torMessageBox.messageBox("There is currently no target server running on this machine ! Please start a target server before unloading !", "No running target server", torMessageBox.MB_OK | torMessageBox.MB_ICONINFORMATION)
	else:
		torMessageBox.messageBox("No module to unload passed !\n\nPlease check if the selected project in the Projects Editors project tree window is the correct one and press the @B'ESC'@B button in the SNiFF+ Project Editor file list window if there is any file highlighted to avoid confusing the unload by any selected file !", "Unload failure", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
	if torConstants.DEBUG:
		print "(%s)@B@r<<<@x startUnload@B" % __name__
	return

# check, if the given object module is available on the target
def checkObjModuleOnTgt(tgtSvrToOperate, objModuleName):
	if torConstants.DEBUG:
		print "(%s)@B@g>>>@x checkObjModuleOnTgt@B" % __name__
	rc = false
	if string.strip(objModuleName) != "":
		scriptFilePath = torBaseServices.locateFile("SniffObjModuleFind.tcl", "integrations/TornadoII/tcl")
		if scriptFilePath != None:
			command="source %s ; SniffObjModuleFind %s %s" % (scriptFilePath, tgtSvrToOperate, objModuleName)
			torWtxTclTool.getWtxTclToolHandle().setCommandParams(command)
			try:
				retVal, _out = torWtxTclTool.getWtxTclToolHandle().runScript()
				if torConstants.DEBUG:
					print "(%s)    retVal = %d" % (__name__, retVal)
					print "(%s)    _out:\n" % __name__, string.strip(_out)
				if retVal == 0:
					# check, if we canfind the name of the object module
					# or if we might be got 'WTX Error 0x10030 (LOADER_OBJ_MODULE_NOT_FOUND)'
					if string.find(string.upper(_out), string.upper(objModuleName)) != -1:
						# module name found, everything ok
						rc = true
					else:
						if string.find(string.upper(_out), "LOADER_OBJ_MODULE_NOT_FOUND") != -1:
							# module not loaded
							rc =  false
						else:
							# unknown exception, print out to log
							if _out != None:
								torMessageBox.messageBox(_out, "API failure", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
								rc = 2	# means API failure
			except torConstants.ScriptExecutionFailure:
				pass
		else:
			torMessageBox.messageBox("Can't locate script file 'SniffObjModuleFind.tcl' !", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
	if torConstants.DEBUG:
		print "(%s)@B@r<<<@x checkObjModuleOnTgt@B" % __name__
	return rc
