##################################################################
# SNiFF+ and Tornado Integration Project
# support routines for launching the windsh on the target
#
# File Version:
# $Id: torLaunchBrowser.py,v 1.7 2000/02/18 15:44:11 uwe Exp $
#
# Authors:
# - Uwe Stieber
#
# Limitation:
# - currently no limitations know
#
# Notes:
# - Please report problems to sniff-support@takefive.co.at
#
##################################################################

# import some system services
import sys, os, string

# import SNiFF+ GUI interface
from etgui import *
from PageLayout import *
import vcs

# import basic constants
import torConstants
from torConstants import false, true

# import Tornado Integration Base Services
import torBaseServices
import torLaunchServices
from torLaunchServices import TornadoToolLauncher

# import Tornado integration helper
import torMessageBox

# defines the Browser Tool class
class BrowserTool(TornadoToolLauncher):
	# constructor
	def __init__(self):
		# initialize TornadoToolLauncher depend of the platform we
		# are running on
		if sys.platform == "win32":
			# WindView Tool currently not available on Windows
			pass
		else:
			thePath = os.path.join(os.environ["WIND_BASE"], "host", torBaseServices.getWindHostType(), "bin", "browser")
			TornadoToolLauncher.__init__(self, thePath,
										"",
										torLaunchServices.BACKGROUND,
										true		# show tgtSvrSelectionDialog
									)
		return

# function launches tornado browser on the target
def startBrowser():
	if torConstants.DEBUG:
		print "(%s)@B@g>>>@x startBrowser@B" % __name__
	if sys.platform == "win32":
		torMessageBox.messageBox("To launch the browser tool on Windows, please use the Tornado IDE !", "Start Browser ...", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
	else:
		# we are on Unix
		try:
			BrowserTool().run()
		except torConstants.InvalidTgtSvrException:
			pass
		except torConstants.TgtSvrNotRunningException:
			torMessageBox.messageBox("Selected Target Server not running !", "Error", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
	if torConstants.DEBUG:
		print "(%s)@B@r<<<@x startBrowser@B" % __name__
	return
