##################################################################
# SNiFF+ and Tornado Integration Project
# support routines for launching the windsh on the target
#
# File Version:
# $Id: torLaunchTornado.py,v 1.5 2000/02/18 15:44:11 uwe Exp $
#
# Authors:
# - Uwe Stieber
#
# Adapter History:
# - 0.01 file creation-  02/02/2000
#
# Limitation:
# - currently no limitations know
#
# Notes:
# - Please report problems to sniff-support@takefive.co.at
#
##################################################################

# import some system services
import sys, os, string

# import SNiFF+ GUI interface
from etgui import *
from PageLayout import *
import vcs

# import basic constants
import torConstants
from torConstants import false, true

# import Tornado Integration Base Services
import torBaseServices
import torLaunchServices
from torLaunchServices import BasicToolLauncher
from torLaunchServices import TornadoToolLauncher

# import Tornado integration helper
import torMessageBox

# defines the Tornado Tool class
class TornadoTool(BasicToolLauncher):
	# constructor
	def __init__(self):
		# initialize BasicToolLauncher depend of the latform we
		# are running on
		if sys.platform == "win32":
			BasicToolLauncher.__init__(self, "tornado")
		else:
			BasicToolLauncher.__init__(self, "launch")
		# set the default calling semantic
		self.setDefaultCallSemantic(torLaunchServices.BACKGROUND)

# function launches the Tornado IDE
def startTornado():
	if torConstants.DEBUG:
		print "(%s)@B@g>>>@x startTornado@B" % __name__
	TornadoTool().run()
	if torConstants.DEBUG:
		print "(%s)@B@r<<<@x startTornado@B" % __name__
	return

# defines the Tornado Project Tool class
class TornadoProjectTool(TornadoToolLauncher):
	# constructor
	def __init__(self):
		TornadoToolLauncher.__init__(self,
									"tornado",
									"-t",
									torLaunchServices.BACKGROUND,
									true
								)
		return

# function launches the Tornado Project Tool on UNIX
def startTornadoProjectTool():
	if torConstants.DEBUG:
		print "(%s)@B@g>>>@x startTornadoProjectTool@B" % __name__
	if sys.platform == "win32":
		torMessageBox.messageBox("To launch the Tornado Project Tool on Windows, please use the Tornado IDE !", "Start Tornado Project Tool ...", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
	else:
		TornadoProjectTool().run()
	if torConstants.DEBUG:
		print "(%s)@B@r<<<@x startTornadoProjectTool@B" % __name__
	return

