##################################################################
# SNiFF+ and Tornado Integration Project
# support routines for launching the windsh on the target
#
# File Version:
# $Id: torLaunchWindView.py,v 1.9 2000/02/18 15:44:10 uwe Exp $
#
# Authors:
# - Uwe Stieber
#
# Adapter History:
# - 0.01 file creation-  02/02/2000
#
# Limitation:
# - currently no limitations know
#
# Notes:
# - Please report problems to sniff-support@takefive.co.at
#
##################################################################

# import some system services
import sys, os, string

# import SNiFF+ GUI interface
from etgui import *
from PageLayout import *
import vcs

# import basic constants
import torConstants
from torConstants import false, true

# import Tornado Integration Base Services
import torBaseServices
import torLaunchServices
from torLaunchServices import TornadoToolLauncher

# import Tornado integration helper
import torMessageBox

# defines the WindView Tool class
class WindViewTool(TornadoToolLauncher):
	# constructor
	def __init__(self):
		# initialize TornadoToolLauncher depend of the latform we
		# are running on
		if sys.platform == "win32":
			# WindView Tool currently not available on Windows
			pass
		else:
			thePath = os.path.join(os.environ["WIND_BASE"],"host",torBaseServices.getWindHostType(),"bin","windview")
			TornadoToolLauncher.__init__(self, thePath,
										"",
										torLaunchServices.BACKGROUND,
										true		# show tgtSvrSelectionDialog
									)
		return

	# method builds the command to be executed
	# overrides TornadoToolLauncher.buildCommandToExecute
	def buildCommandToExecute(self):
		return '%s %s  -xrm "WindView.targetHostName: %s"' % (self.getCommandToExecute(), self.getCommandParams(), self.getTgtSvrNameToUse())

# function launches WindView on the target
def startWindView():
	if torConstants.DEBUG:
		print "(%s)@B@g>>>@x startWindView@B" % __name__
	if sys.platform == "win32":
		torMessageBox.messageBox("To launch WindView on Windows, please use the Tornado IDE !", "Start WindView ...", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
	else:
		# we are on Unix
		try:
			WindViewTool().run()
		except torConstants.InvalidTgtSvrException:
			pass
		except torConstants.TgtSvrNotRunningException:
			torMessageBox.messageBox("Selected Target Server not running !", "Error", torMessageBox.MB_OK | torMessageBox.MB_ICONSTOP)
	if torConstants.DEBUG:
		print "(%s)@B@r<<<@x startWindView@B" % __name__
	return
