##################################################################
# SNiFF+ and Tornado Integration Project
# dialog definition for the About Dialog
#
# File Version:
# $Id: torVersionDialog.py,v 1.5 2000/04/20 09:38:50 uwe Exp $
#
# Authors:
# - Uwe Stieber
#
# Adapter History:
# - 0.01 file creation-  02/17/2000
#
# Limitation:
# - currently no limitations know
#
# Notes:
# - Please report problems to sniff-support@takefive.co.at
#
##################################################################

# import some system services
import sys, os, string

# import SNiFF+ GUI interface
from etgui import *
from PageLayout import *
import vcs
import searchPathLib

# import basic constants
import torConstants
from torConstants import false, true

# import Tornado integration services
import torBaseServices

def showVersionDialog():
	if torConstants.DEBUG:
		print "(%s)@B@g>>>@x showVersionDialog@B" % __name__
	model = PotGuiModel()
	# set the values from torConstants.torIntegrationVersion dictionary
	for aKey in torConstants.torIntegrationVersion.keys():
		model.SetValue(aKey, torConstants.torIntegrationVersion[aKey])
	tornadoLogoFile = torBaseServices.locateFile("Tornado256.gif", "config/icons")
	tornadoLogo = MakeImageItem(tornadoLogoFile)
	AddToolTip(tornadoLogo, "Authors of the first integration:\n\n@B@IMartin Oberhuber@I@B ... Make and Project Service\n@B@IUwe Stieber@B@I ... Tools integration and basic services\n\nSpecial thanks to our customer @B@IEmmanuel Joyeaux@B@I,\nwho supported us in a very early state !")
	pigLogoFile = torBaseServices.locateFile("sniff2.gif", "config/icons")
	pigLogo = MakeImageItem(pigLogoFile)
	sniffLogoFile = torBaseServices.locateFile("t5_product.gif", "config/icons")
	sniffLogo = MakeImageItem(sniffLogoFile)
	AddToolTip(sniffLogo, pigLogo)
	dialogTextFontBold = Font(gSysFont.Fid(),
								gSysFont.Size(),
								eFaceBold
							) # Font
	dialogTextFont = Font(gSysFont.Fid(),
							gSysFont.Size(),
							eFacePlain
						) # Font
	dialogTextColor1 = RGBInk(217, 0, 33)	# Red
	dialogTextColor2 = RGBInk(0, 0, 0)		# Black
	dialogTextColor3 = RGBInk(0, 0, 255)	# Blue
	patchLevel = model.GetValue("PatchLevel")
	patchLevelItem = TextItem("")
	if patchLevel != None:
		if string.strip(patchLevel) != "" and string.lower(string.strip(patchLevel)) != "%patchlevel%":
			patchLevelItem = StyledTextItem("Patchlevel %s" % patchLevel,
											font=dialogTextFontBold,
											ink=dialogTextColor2
								)
	versionDialog = MakeOkCancelDialog("About ...",
						model,
						MakePageLayout(eVObjVFixed | eVObjHFixed,
							HBox(
								items=[
									VBox(
										items=[
											sniffLogo,
											Filler(gPoint3),
											StyledTextItem("SNiFF+ Tornado Integration",
																font=dialogTextFontBold,
																ink=dialogTextColor1
											),
											Filler(gPoint5),
											StyledTextItem("Version %s" % (model.GetValue("Version")),
																font=dialogTextFontBold,
																ink=dialogTextColor2
											),
											patchLevelItem,
											StyledTextItem("%s" % model.GetValue("Date"),
																font=dialogTextFontBold,
																ink=dialogTextColor2
											),
											Filler(gPoint16),
											StyledTextItem("Send feedback and comments about",
																font=dialogTextFont,
																ink=dialogTextColor2
											),
											StyledTextItem("the integration to:",
																font=dialogTextFont,
																ink=dialogTextColor2
											),
											StyledTextItem("sniff-tornado-beta@takefive.co.at",
																font=dialogTextFont,
																ink=dialogTextColor3
											)
										]
									), # VBox
									Filler(gPoint5),
									tornadoLogo
								] # items
							) # HBox
						), # MakePageLayout
						ActionButton(CmdNo.cIdOk,"Let's Sniff On",default=1)
					) # MakeOkCancelDialog
	versionDialog.ShowUnderMouse()
	if torConstants.DEBUG:
		print "(%s)@B@r<<<@x showVersionDialog@B" % __name__
	return

