##################################################################
# SNiFF+ and Tornado Integration Project
# services routines for accessing the windows registry
# using the wtxtcl registry functions
#
# File Version:
# $Id: torWinRegistryInterface.py,v 1.2 2000/04/20 09:09:02 uwe Exp $
#
# Authors:
# - Uwe Stieber
#
# Limitation:
# - currently no limitations know
#
# Notes:
# - Please report problems to sniff-support@takefive.co.at
#
##################################################################

# import some system services
import sys, os, string
from stat import *

# import basic constants
import torConstants
from torConstants import false, true

# import launcher services
import torLaunchServices

# implements the Windows Registry Interface
class WinRegistryInterface:
	# regRoot should be one of the HKEY_* strings !!
	# regDataType can be REG_DWORD, REG_EXPAND_SZ and REG_SZ
	# return None	... method failed
	#		 otherwise ... method succeeded
	def ReadRegistryValue(self, regRoot, regSection, regKey, regDataType):
		if torConstants.DEBUG:
			print "(%s)@B@g>>>@x ReadRegistryValue@B" % __name__
			print "(%s)    regRoot: %s" % (__name__, regRoot)
			print "(%s)    regSection: %s" % (__name__, regSection)
			print "(%s)    regKey: %s" % (__name__, regKey)
			print "(%s)    regDataType: %s" % (__name__, regDataType)
		_out = None	# assume we fail
		# build the command
		command = 'ReadRegistryValue "%s" "%s" "%s" "%s"' % (regRoot, regSection, regKey, regDataType)
		rc, _out = torLaunchServices.AbstractToolLauncher().startProcess(command)
		if rc == 1:
			# we failed
			_out = None
		# strip the string
		if _out != None:
			_out = string.strip(_out)
		if torConstants.DEBUG:
			print "(%s)@B@r<<<@x ReadRegistryValue (rc = %d; _out = " % (__name__, rc), _out, ")@B"
		return rc, _out

	# return 1 ... method failed
	#		 0 ... method succeeded
	def WriteRegistryValue(self, regRoot, regSection, regKey, regDataType, regKeyValue):
		if torConstants.DEBUG:
			print "(%s)@B@g>>>@x WriteRegistryValue@B" % __name__
			print "(%s)    regRoot: %s" % (__name__, regRoot)
			print "(%s)    regSection: %s" % (__name__, regSection)
			print "(%s)    regKey: %s" % (__name__, regKey)
			print "(%s)    regDataType: %s" % (__name__, regDataType)
			print "(%s)    regKeyValue: %s" % (__name__, regKeyValue)
		rc = 1	# assume we fail
		# build the command
		command = 'WriteRegistryValue "%s" "%s" "%s" "%s" "%s"' % (regRoot, regSection, regKey, regDataType, regKeyValue)
		rc, _out = torLaunchServices.AbstractToolLauncher().startProcess(command)
		if torConstants.DEBUG:
			print "(%s)@B@r<<<@x WriteRegistryValue (rc = %d)@B" % (__name__, rc)
		return rc

# instance of WinRegistryInterface
defaultWinRegistryInterface = None

# call this function to get access to the WinRegistryInterface
def getWinRegistryInterfaceHandle():
	global defaultWinRegistryInterface
	if defaultWinRegistryInterface == None:
		defaultWinRegistryInterface = WinRegistryInterface()
	return defaultWinRegistryInterface
