#
#	general.asm.mk
#
#	SNiFF+ V3.0
#
#	Common make rules for c, c++ and pro*c/c++ compilers.
#
#	Copyright (C) 1998 TakeFive Software GmbH
#	Salzburg, Austria (e-mail: sniff@TakeFive.co.at)
#
#	Author: Martin Oberhuber

ASM_OUTPUT_FLAG		= -o $@
 
#        All C compiler flags and compiler command
ALL_ASMFLAGS = $(SNIFF_INCLUDE) $(OTHER_ASMFLAGS) $(COMMON_ASMFLAGS) $(OS_ASMFLAGS) $(ASMFLAGS) $(SNIFF_ASMFLAGS)
ASM_CMD = $(ASM) $(ALL_ASMFLAGS) $(OVERALL_OPTION_ASM) "$<" $(ASM_OUTPUT_FLAG)

## ATTENTION Dont remove the ;  after the 2 following rules (empty rule)
#%.o : $(OBJECT_DIR)/%.o ; 
#%.res : $(OBJECT_DIR)/%.res ;
 
#       rules for Assembler compiler
$(OBJECT_DIR)/%.o : $(SNIFF_Implementation_DIR)/%.s $(FORCE_RULE)
	@ d=`dirname '$@'`;\
	relative=`echo $$d | cut -d"/" -f1`;\
	if [ "$$d" != "." -a "$$d" != "$(OBJECT_DIR)" -a "$$relative" != "" ]; then\
		cd $$d;\
		echo make: Changing directory to \'$$d\';\
		$(OWN_MAKE) -f $(MAKEFILE) `basename '$@'`;\
	else\
		TARGET=$@; TARGET_TYPE="Assembler object"; $(MAKE_TARGET);\
		if [ "$(DEBUG)" = "1" ]; then \
			echo "$(ASM_CMD)";\
		fi;\
		$(ASM_CMD);\
		ret=$$?;\
		exit $$ret;\
	fi;

$(OBJECT_DIR)/%.o : $(SNIFF_Implementation_DIR)/%.S $(FORCE_RULE)
	@ d=`dirname '$@'`;\
	relative=`echo $$d | cut -d"/" -f1`;\
	if [ "$$d" != "." -a "$$d" != "$(OBJECT_DIR)" -a "$$relative" != "" ]; then\
		cd $$d;\
		echo make: Changing directory to \'$$d\';\
		$(OWN_MAKE) -f $(MAKEFILE) `basename '$@'`;\
	else\
		TARGET=$@; TARGET_TYPE="Assembler object"; $(MAKE_TARGET);\
		if [ "$(DEBUG)" = "1" ]; then \
			echo "$(ASM_CMD)";\
		fi;\
		$(ASM_CMD);\
		ret=$$?;\
		exit $$ret;\
	fi;

$(OBJECT_DIR)/%.o : $(SNIFF_Implementation_DIR)/%.asm $(FORCE_RULE)
	@ d=`dirname '$@'`;\
	relative=`echo $$d | cut -d"/" -f1`;\
	if [ "$$d" != "." -a "$$d" != "$(OBJECT_DIR)" -a "$$relative" != "" ]; then\
		cd $$d;\
		echo make: Changing directory to \'$$d\';\
		$(OWN_MAKE) -f $(MAKEFILE) `basename '$@'`;\
	else\
		TARGET=$@; TARGET_TYPE="Assembler object"; $(MAKE_TARGET);\
		if [ "$(DEBUG)" = "1" ]; then \
			echo "$(ASM_CMD)";\
		fi;\
		$(ASM_CMD);\
		ret=$$?;\
		exit $$ret;\
	fi;

