#* MRe 2000/01/19 *
#
#	general.mib.mk
#
#       SNiFF+ V3.2
#
#	Common make rules for compiling mib files
#   Generated to support automatic make for mib files under
#   pRISM+/pSOSystem+ env.
#
#       Author: Prabhakar Goyal & Martin Raabe


#------------------------------------------------------------------------
# COPT_PER_FILE is used by sniff+ to provide a convenient way to add per
# file compile options. If a .cop file for a .s or .c file exist then
# content of this file is passed as the compile options.
#------------------------------------------------------------------------
COPT_PER_FILE=`if [ -f ./$(*F).cop ]; then cat ./$(*F).cop; fi`

#        All MIB compiler flags and command
ALL_MIBFLAGS = $(OTHER_MIBFLAGS) $(COMMON_MIBFLAGS) $(OS_MIBFLAGS) $(MIBFLAGS)
MIB_CMD = $(MIBCOMPILER) $(ALL_MIBFLAGS)

#        Rule to compile MIB generated C file.
ALL_MIB_CFLAGS   = $(VINCLUDE) $(OTHER_CFLAGS) $(COMMON_CFLAGS) $(OS_CFLAGS) $(CFLAGS) $(MIB_CFLAG) $(_INHIBIT_LOCAL_INCLUDE_CC) $(COPT_PER_FILE)
MIB_CC_CMD = $(CC) $(ALL_MIB_CFLAGS) $(OVERALL_OPTION_CC) "$<" -o "`basename '$@'`"

REMOVE_GENERATED_C_FILE = 0

ifdef $(MIB_CFILE)
#  rule for making MIB .c file
$(MIB_OFILE): $(MIB_CFILE) $(MIB_HFILE)
        @ d=`dirname '$@'`;\
        relative=`echo $$d | cut -d"/" -f1`;\
        if [ "$$d" != "." -a "$$relative" != "" ]; then\
                cd $$d;\
                echo make: Changing directory to \'$$d\';\
                $(OWN_MAKE) -f $(MAKEFILE) check_vpath;\
                $(OWN_MAKE) -f $(MAKEFILE) `basename '$@'`;\
        else\
                $(MAKE_TARGET_SH)       '$@'\
                  "$(MIB_CC_CMD)"\
                  $(MAKE_TARGET_PARAMS) "C object";\
                ret=$$?;\
                if [ $(REMOVE_GENERATED_C_FILE) = 1 ]; then\
                        echo "make: removing" "$<";\
                        $(RM) "$<";\
                fi;\
                exit $$ret;\
        fi;

#  rule for making MIB .c file
$(MIB_CFILE): $(SNIFF_Mib_FILES) $(SNIFF_Mib_Control_File_FILES)
        @ d=`dirname '$@'`;\
        relative=`echo $$d | cut -d"/" -f1`;\
        if [ "$$d" != "." -a "$$relative" != "" ]; then\
                cd $$d;\
                echo make: Changing directory to \'$$d\';\
                $(OWN_MAKE) -f $(MAKEFILE) check_vpath;\
                $(OWN_MAKE) -f $(MAKEFILE) `basename '$@'`;\
        else\
                echo "make: Generating $@ from the mibfiles..." ; \
                echo $(MIB_CMD) -mib.c -o $@ "$^"; \
                $(MIB_CMD) -mib.c -o $@ $^; \
        fi;

clean ::
        @$(RM) $(MIB_HFILE) $(MIB_CFILE)
endif

ifdef MIB_HFILE
#  rule for making MIB .h file
$(MIB_HFILE): $(SNIFF_Mib_FILES) $(SNIFF_Mib_Control_File_FILES)
        @ d=`dirname '$@'`;\
        relative=`echo $$d | cut -d"/" -f1`;\
        if [ "$$d" != "." -a "$$relative" != "" ]; then\
                cd $$d;\
                echo make: Changing directory to \'$$d\';\
                $(OWN_MAKE) -f $(MAKEFILE) check_vpath;\
                $(OWN_MAKE) -f $(MAKEFILE) `basename '$@'`;\
        else\
                echo "make: Generating $@ from the mibfiles..." ; \
                $(MIB_CMD) -skel.h -o $@ $^; \
        fi;
endif

