#
# SNiFF+ - Platform Makefile
#
# History:
# 01a,17-feb-00,mob  created
#
# Description:
# This file contains Make settings specific for a particular BuildSpec
# in SNiFF+. First, default settings are read from both SNiFF+ and
# Tornado; then, settings may be tuned or overridden. For details
# about in which order and how Macros are defined, see the general 
# Makefile in $SNIFF_DIR/make_support/torBridge-vxWorks.mk


# By default, we build for vxWorks but this can be overridden
ifeq ($(TGT_SYSTEM),)
TGT_SYSTEM = vxWorks
endif

CPU    = SIMNT
TOOL   = gnu
BUILD_SPEC = $(CPU)$(TOOL)

# For complete build inside a CM sandbox, you can select HERE from where
# Tornado Makefiles will be included. SNiFF+ will take care that includes
# come from $(TGT_DIR/$(OS_MAKE_RELDIR). The default is, as in the plain
# Tornado Makefiles, TGT_DIR = $(WIND_BASE)/target -- override it here.

#TGT_DIR := $(SNIFF_RELATIVE_ROOT_DIR)/vxworks-os/target
#OS_MAKE_RELDIR:=h/make
#WIND_LIB_BASE:=$(SNiFF_RELATIVE_ROOT_DIR)/vxworks-os/wind-x86

# this is to find the includes
#OS_SWS_DIR=vxworks-os/target
#OS_SWS_INCLUDE=$(OS_SWS_DIR)/h
#OS_SWS_MAKE=$(OS_SWS_DIR)/$(OS_MAKE_RELDIR)

include $(SNIFF_DIR)/make_support/torBridge-$(TGT_SYSTEM).mk
 
#debugging or optimization switches: DEFAULT is DEBUG
CXX_OPTIM = $(CXX_OPTIM_DEBUG)    # options: DEBUG,NORMAL,DRIVER,TARGET
CC_OPTIM = $(CC_OPTIM_DEBUG)      # options: DEBUG,NORMAL,DRIVER,TARGET

OS_CXXFLAGS +=  -DRW_MULTI_THREAD -D_REENTRANT
OS_CFLAGS   +=  -DRW_MULTI_THREAD -D_REENTRANT  
#OS_ASMFLAGS +=
#OS_LDFLAGS  +=
#OS_YACCFLAGS +=
#OS_LEXFLAGS += 
#OS_IDLFLAGS += 
#OS_FFLAGS += 
#OS_JFLAGS +=
#OS_JARFLAGS +=
#OS_PURIFYFLAGS +=
#OS_QUANTIFYFLAGS +=

# All other settings from torBridge-vxWorks.mk may be overridden here.
# Project specific settings may be overridden in the local Project
# Makefile (usually called MakeT2sniff) or on the Make commandline.

