# 01GdbHelp.tcl - interface to GDB's on-line help
#
# Copyright 1995 Wind River Systems, Inc.
#
# modification history
# --------------------
# 01b,27oct95,c_s  fixed dialog layout (SPR #5205).
# 01a,30may95,c_s  written.
#*/

#menuButtonCreate    SNiFF+  "Edit Source..." E {sniffEditSource}
menuButtonCreate    SNiFF+  "Show Symbol"    S {sniffShowSymbol}
menuButtonCreate    SNiFF+  "Browse Class"   B {sniffBrowseClass}

#textWindowCreate "Sniffaccess Output" -size 550 250
dialogCreate "Sniffaccess Error" -size 500 150 \
	{{button "OK" -left 25 -right 70 -bottom . {dialogUnpost "Sniffaccess Error"}}
	 {text "Sniffaccess Error:" -hspan -top . -bottom OK {dialogUnpost "Sniffaccess Error"}}}


# Use sniffaccess to edit current file.

proc sniffEditSource {} {
    set SNIFF_DIR [getSniffDir]
}

# Use sniffaccess to show current symbol.

proc sniffShowSymbol {} {
    set sel [checkSelection]
    set SNIFF_DIR [getSniffDir]
    if {$sel != "" && $SNIFF_DIR != "" } {
        set PLATFORM [getSniffPlatform]
        set theCmd "$SNIFF_DIR/bin/bin.$PLATFORM/sniffaccess -q find_symbol \"*/\" $sel"
        #puts $theCmd
	set res [exec $SNIFF_DIR/bin/bin.$PLATFORM/sniffaccess -q find_symbol "*/" $sel]
	if {$res != "" } {
	    dialogSetValue "Sniffaccess Error" "Sniffaccess Error:" $res
	    dialogPost "Sniffaccess Error"
	}
    }
}

# Use sniffaccess to browse current class.

proc sniffBrowseClass {} {
    set sel [checkSelection]
    set SNIFF_DIR [getSniffDir]
    if {$sel != "" && $SNIFF_DIR != "" } {
        set PLATFORM [getSniffPlatform]
        set theCmd "$SNIFF_DIR/bin/bin.$PLATFORM/sniffaccess -q browse_class \"*/\" $sel"
        #puts $theCmd
	set res [exec $SNIFF_DIR/bin/bin.$PLATFORM/sniffaccess -q browse_class "*/" $sel]
	if {$res != ""} {
	    #puts "sniffaccess ERROR:\n"
	    #puts "$res\n"
	    ####
	    #textWindowSet "Sniffaccess Output" $res
	    #textWindowPost "Sniffaccess Output"
	    ####
	    dialogSetValue "Sniffaccess Error" "Sniffaccess Error:" $res
	    dialogPost "Sniffaccess Error"
	}
    }
}

# Get the value of SNIFF_DIR from environment variable

set SNIFF_DIR ""
proc getSniffDir {} {
    global SNIFF_DIR
    global env
    if {$SNIFF_DIR == "--illegal--"} {
	return ""
    } elseif {$SNIFF_DIR == ""} {
        if [ catch {set SNIFF_DIR $env(SNIFF_DIR)}] {
	    puts "ERROR: \$SNIFF_DIR not set, cannot start SNiFF+\n"
	    set SNIFF_DIR "--illegal--"
	    return ""
	}
    } else {
	return $SNIFF_DIR
    }
}

# Get the value of PLATFORM from environment variable or sniff_arch script

set PLATFORM ""
proc getSniffPlatform {} {
    global PLATFORM
    global env
    if {$PLATFORM == "--illegal--"} {
	return ""
    } elseif {$PLATFORM == ""} {
        if [ catch {set PLATFORM $env(PLATFORM)}] {
	    set SNIFF_DIR [getSniffDir]
	    if {$SNIFF_DIR != ""} {
		if [ catch {set PLATFORM [exec $SNIFF_DIR/bin/sniff_arch]}] {
		    set PLATFORM "--illegal--"
		    return ""
		}
	    } else {
		set PLATFORM "--illegal--"
		return ""
	    }
	}
    }
    return $PLATFORM
}
