# SNiFF.win32.tcl - launch SNiFF+
#
# modification history 
# -------------------- 
# 01a, 25jan00, m_o adapted from wtxapp
#*/

# Add a SNiFF+ activation button to the launch toolbar 
# If there is no bitmap file called "SNiFF+" in 
# installDir/host/resource/bitmaps/Launch/controls, no bitmap appears 

set torMajorVersion [lindex [split [wtxTsVersionGet] "."] 0]

set SNiFFBitmap [wtxPath host resource bitmaps Launch controls]sniff.bmp

switch $torMajorVersion {
  "1" { controlCreate launch [list button \
                    -name SNiFF \
                    -callback launchSNiFF \
                    -tooltip "Launch SNiFF+" \
                    -bitmap $SNiFFBitmap] 
        menuItemInsert -after {"&Tools" "&Debugger..."} {"&SNiFF+"} \
                    {launchSNiFF} 
        }
  "2" { controlCreate launch [list toolbarbutton \
                    -name SNiFF \
                    -callback launchSNiFF \
                    -tooltip "Launch SNiFF+" \
                    -bitmap $SNiFFBitmap] 
        menuItemInsert \
            -callback {launchSNiFF} \
            -after -bypath {&Tools &Debugger...} \
            "&SNiFF+"
        }
}

############################################################################ 
# Launch SNiFF+ 
# 
 
proc launchSNiFF {} { 
    global env 
 
    # start the SNiFF+ Tool
 
    if {[catch {toolLaunch "SNiFF+" "$env(WIND_BASE)/sniff.bat" \
        $env(WIND_BASE) 0 0 0 0 0 0} result]} { 
            messageBox -stopicon "Error: SNiFF+ launch failed: '$result'\n" 
    }
}

