# returns information about a given target server
#
source [wtxPath host resource tcl]wtxcore.tcl

proc SniffCpuInfoGet { tgtsvr_selected } {
	global cpuType

	wtxToolAttach $tgtsvr_selected Sniff_CpuInfoGet
	set info		[wtxTsInfoGet]

	set typeId		[lindex [lindex $info 2] 0]
	set family		[wtxCpuInfoGet -a $typeId]

	# for debugging purposes simsp and sparc are equivalent.
	if {$family == "simsp"} {set family "sparc"}
	if {$family == "simsolaris"} {set family "simso"}
	# for debugging purposes simhppa and hppa are equivalent.
	if {$family == "simhppa"} {set family "hppa"}

	# Handle the little-endian MIPS case
	if {$family == "mips"} {
		# Attach to the server to ask it's endianness.
		if {[catch {wtxToolAttach $tgtsvr_selected -launcher} result]} {
			noticePost error "Can't communicate with that server."
			return
		}
		if {[targetEndian] == "LITTLE_ENDIAN"} {
			set family "mipsle"
		}
		wtxToolDetach
	}

	puts $family

	wtxToolDetach
}
