# Find a object module on the target
source [wtxPath host resource tcl]wtxcore.tcl

proc SniffObjModuleFind { tgtsvr_selected objModuleName } {
	# define the fail state variable
	set rc 0

	# attach the script to the selected target server
	set opFail [catch {wtxToolAttach $tgtsvr_selected} errMsg]
	
	if { $opFail == 0 } {
		# run the operation
		set opFail [catch {set result [wtxObjModuleFind $objModuleName]} errMsg]
		if { $opFail != 0 } {
			# print out the error message
			puts $errMsg
			set rc $opFail
		} {
			# print out the found module
			puts $result
		}
	
		# detach the tool
		set opFail [catch {wtxToolDetach} errMsg]
		if { $opFail != 0 } {
			puts $errMsg
			set rc $opFail
		}
	} {
		puts $errMsg
		set rc $opFail
	}
	
	return $rc
}
