# returns information about a given target server
#
source [wtxPath host resource tcl]wtxcore.tcl

proc SniffTsInfoGet { tgtsvr_selected } {
	global cpuType

	if {![catch {wtxToolAttach $tgtsvr_selected Sniff_TsInfoGet} result]} {
		if {![catch {set info [wtxTsInfoGet]} result]} {
			set link		[lindex $info 0]
			set typeId		[lindex [lindex $info 2] 0]
			set tgtsvr_cpu	$cpuType($typeId)
			set tgtsvr_rtvers	"VxWorks [lindex [lindex $info 3] 1]"
			set tgtsvr_bsp	[lindex $info 4]
			set tgtsvr_core	[lindex $info 5]
			set tgtsvr_host	"Unknown"

			set memSize		[lindex [lindex $info 6] 1]
			set tgtsvr_user	[lindex $info 8]
			set start		[lindex $info 9]
			set access		[lindex $info 10]
			set tgtsvr_lock	[lindex $info 11]
			set tgtsvr_ver	[lindex $info 13]
			set agentVersion [lindex $info 14]	

			set infoString              "Name   : $tgtsvr_selected"
			set infoString "$infoString\nVersion: $tgtsvr_ver"
			set infoString "$infoString\nStatus : $tgtsvr_lock"
			set infoString "$infoString\nRuntime: $tgtsvr_rtvers"
			set infoString "$infoString\nAgent  : $agentVersion"
			set infoString "$infoString\nCPU    : $tgtsvr_cpu"
			set infoString "$infoString\nBSP    : $tgtsvr_bsp"
			set infoString "$infoString\nMemory : [format "%#x" $memSize]"
			set infoString "$infoString\nLink   : $link"
			set infoString "$infoString\nUser   : $tgtsvr_user"
			set infoString "$infoString\nStart  : $start"
			set infoString "$infoString\nLast   : $access"

			set toolListString "Attached Tools :\n"
			set toolList [lrange $info 15 end]

			foreach tool $toolList {
				if {[lindex $tool 4] != ""} {
					set toolUser "([lindex $tool 4])"
				} {
					set toolUser ""
				}

				set toolName [lindex $tool 1]
				if {$toolName != "Sniff_TsInfoGet"} {
					set toolListString "$toolListString [lindex $tool 1] $toolUser\n"
				}
			}

			set infoString "$infoString\n$toolListString"

			puts $infoString
		} {
			puts $result
		}

		if {[catch {wtxToolDetach} result]} {
			puts $result
		}
	} {
		puts $result
	}
}
