# execute the operations possible on a target server
#		- Reserve / Unreserve
#		- Unregister
#		- Kill
#		- Reboot
#
source [wtxPath host resource tcl]wtxcore.tcl

proc SniffTsReserve { tgtsvr_selected } {
	# define the fail state variable
	set opFail 0

	# attach the script to the selected target server
	set opFail [catch {wtxToolAttach $tgtsvr_selected -tgtManage} errMsg]
	
	if { $opFail == 0 } {
		# run the operation
		set opFail [catch {wtxTsLock} errMsg]
		if { $opFail != 0 } {
			# print out the error message
			puts $errMsg
		}
	
		# detach the tool
		set opFail [catch {wtxToolDetach} errMsg]
		if { $opFail != 0 } {
			puts $errMsg
		}
	} {
		puts $errMsg
	}
	
	return $opFail
}

proc SniffTsUnreserve { tgtsvr_selected } {
	# define the fail state variable
	set opFail 0

	# attach the script to the selected target server
	set opFail [catch {wtxToolAttach $tgtsvr_selected -tgtManage} errMsg]
	
	if { $opFail == 0 } {
		# run the operation
		set opFail [catch {wtxTsUnlock} errMsg]
		if { $opFail != 0 } {
			# print out the error message
			puts $errMsg
		}
	
		# detach the tool
		set opFail [catch {wtxToolDetach} errMsg]
		if { $opFail != 0 } {
			puts $errMsg
		}
	} {
		puts $errMsg
	}
	
	return $opFail
}

proc SniffTsUnregister { tgtsvr_selected } {
	# define the fail state variable
	set opFail 0

	# attach the script to the selected target server
	set opFail [catch {wtxToolAttach $tgtsvr_selected -tgtManage} errMsg]
	
	if { $opFail == 0 } {
		# run the operation
		set opFail [catch {wtxUnregister $tgtsvr_selected} errMsg]
		if { $opFail != 0 } {
			# print out the error message
			puts $errMsg
		}
	
		# detach the tool
		set opFail [catch {wtxToolDetach} errMsg]
		if { $opFail != 0 } {
			puts $errMsg
		}
	} {
		puts $errMsg
	}
	
	return $opFail
}

proc SniffTsKill { tgtsvr_selected } {
	# define the fail state variable
	set opFail 0

	# attach the script to the selected target server
	set opFail [catch {wtxToolAttach $tgtsvr_selected -tgtManage} errMsg]
	
	if { $opFail == 0 } {
		# run the operation
		set opFail [catch {wtxTsKill "destroy"} errMsg]
		if { $opFail != 0 } {
			# print out the error message
			puts $errMsg
		}
	
		# detach the tool
		set opFail [catch {wtxToolDetach} errMsg]
		if { $opFail != 0 } {
			puts $errMsg
		}
	} {
		puts $errMsg
	}
	
	return $opFail
}

proc SniffTsReboot { tgtsvr_selected } {
	# define the fail state variable
	set opFail 0

	# attach the script to the selected target server
	set opFail [catch {wtxToolAttach $tgtsvr_selected -tgtManage} errMsg]
	
	if { $opFail == 0 } {
		# run the operation
		set opFail [catch {wtxTargetReset} errMsg]
		if { $opFail != 0 } {
			# print out the error message
			puts $errMsg
		}
	
		# detach the tool
		set opFail [catch {wtxToolDetach} errMsg]
		if { $opFail != 0 } {
			puts $errMsg
		}
	} {
		puts $errMsg
	}
	
	return $opFail
}
