#* MRe *
#***********************************************************************
#*                                                                     *
#*   MODULE:  armarm_win32.mk                                          *
#*   DATE:    2000/04/06                                               *
#*   PURPOSE: ARM ARM makefile for Win(equivalent to PLATFROM.mk)      *
#*                                                                     *
#*---------------------------------------------------------------------*
#*                                                                     *
#*        Copyright 1991 - 1998, Integrated Systems, Inc.              *
#*                      ALL RIGHTS RESERVED                            *
#*                                                                     *
#*   Permission is hereby granted to licensees of Integrated Systems,  *
#*   Inc. products to use or abstract this computer program for the    *
#*   sole purpose of implementing a product based on Integrated        *
#*   Systems, Inc. products.   No other rights to reproduce, use,      *
#*   or disseminate this computer program, whether in part or in       *
#*   whole, are granted.                                               *
#*                                                                     *
#*   Integrated Systems, Inc. makes no representation or warranties    *
#*   with respect to the performance of this computer program, and     *
#*   specifically disclaims any responsibility for any damages,        *
#*   special or consequential, connected with the use of this program. *
#*                                                                     *
#*---------------------------------------------------------------------*
#*                                                                     *
#***********************************************************************
# Include files which are not part of standard sniff make_support
# but required by the pSOSystem.
include $(PSS_BSP)/bsp.mk

SYSTEM = win32

# some shell commands
SHELL = sh
RM = rm -f
RM_INTACT = rm -i
MV = mv
MK_DIR = mkdir -p
MK_SYMLINK = ln -s
CP = cp

# path delimiter characters
VPATH_DELIMITER = ;
CLASSPATH_DELIMITER = ;
D = ;
DEVNULL = /nul

# MKS make vpath
# note that .SOURCE can't evaluate shell command substitution
PREMKSVPATH = $(SNIFF_VPATH:s/|/ /)
MKSVPATH = $(PREMKSVPATH:s/;/ /)
.SOURCE : $(MKSVPATH)
# parameters for make
MAKE_PARAMS =

# general make command
OWN_MAKE = $(MAKE) $(MFLAGS) $(MAKE_PARAMS)
SYSTYPE     =

OS_CXXFLAGS = $(SYSTYPE)
OS_CFLAGS   = $(SYSTYPE)
OS_YACCFLAGS =
OS_LEXFLAGS =
OS_IDLFLAGS = $(SYSTYPE)
OS_FFLAGS = $(SYSTYPE)
OS_JFLAGS =
OS_JARFLAGS =
OS_PURIFYFLAGS =
OS_QUANTIFYFLAGS =

#
# C++ compiler
#
CXX = $(BSPCXX)
CXXFLAGS = -W -ec -zz0 -fy -c -J$(PSS_ROOT_FOR_SNIFF_PWE)/include -I. -I$(PSS_ROOT_FOR_SNIFF_PWE)/include -I$(PSS_BSP) -I$(PSS_ROOT_FOR_SNIFF_PWE)/bsps/devices -apcs 3/noswst/nofp$(INTERWORK) -g+ $(BSP_COPTS)
INHIBIT_LOCAL_INCLUDE_CXX =
OVERALL_OPTION_CXX = -c

#
# C compiler
#
CC = $(BSPCC)
CFLAGS = -W -ec -zz0 -fy -c -J$(PSS_ROOT_FOR_SNIFF_PWE)/include -I. -I$(PSS_ROOT_FOR_SNIFF_PWE)/include -I$(PSS_BSP) -I$(PSS_ROOT_FOR_SNIFF_PWE)/bsps/devices -apcs 3/noswst/nofp$(INTERWORK) -g+ $(BSP_COPTS)
INHIBIT_LOCAL_INCLUDE_CC =
OVERALL_OPTION_CC = -c

#
# Assembler compiler
#
ASM = $(BSPAS)
ASMFLAGS = -I. -I$(PSS_ROOT_FOR_SNIFF_PWE)/include -I$(PSS_BSP) -I$(PSS_ROOT_FOR_SNIFF_PWE)/bsps/devices -I$(PSS_ROOT_FOR_SNIFF_PWE)/bsps/devices/arm -apcs 3/noswst/nofp


#
# MIB compiler
#
MIBCOMPILER = mibcomp
MIBFLAGS = -quiet

# program for linking an executable
LINK = armlink
# platform specific library
OS_LIBS =

# program for linking relocatable object files
LD = armlink -aof -info interwork -remove -nozeropad
LDFLAGS  = -aof -info interwork -remove -nozeropad

# LD_SHARED not defined becasue PSS_SLIB_NAME shd be defined for shlib
LD_SHARED =
LD_SHAREDFLAGS  = -aof -info interwork -remove -nozeropad
AR      = armlib
ARFLAGS = rv

#
# yacc compiler
#
YACC = bison
YACCFLAGS = -yd
YACC_CFILE_SUFFIX = C

#
# lexical analysis program generator
#
LEX  = flex
LEXFLAGS =
LEX_CFILE_SUFFIX = c

