#* MRe *
#***********************************************************************
#*                                                                     *
#*   MODULE:  cadulx86_win32.mk                                        *
#*   DATE:    2000/04/06                                               *
#*   PURPOSE: CAD-UL X86 makefile for Win (equivalent to PLATFROM.mk)  *
#*                                                                     *
#*---------------------------------------------------------------------*
#*                                                                     *
#*        Copyright 1991 - 2000, Integrated Systems, Inc.              *
#*                      ALL RIGHTS RESERVED                            *
#*                                                                     *
#*   Permission is hereby granted to licensees of Integrated Systems,  *
#*   Inc. products to use or abstract this computer program for the    *
#*   sole purpose of implementing a product based on Integrated        *
#*   Systems, Inc. products.   No other rights to reproduce, use,      *
#*   or disseminate this computer program, whether in part or in       *
#*   whole, are granted.                                               *
#*                                                                     *
#*   Integrated Systems, Inc. makes no representation or warranties    *
#*   with respect to the performance of this computer program, and     *
#*   specifically disclaims any responsibility for any damages,        *
#*   special or consequential, connected with the use of this program. *
#*                                                                     *
#*---------------------------------------------------------------------*
#*   This is the version of SNiFF3.0.2 + Debug info generation (-g)    *
#***********************************************************************

SYSTEM = win32

# some shell commands
SHELL = sh
RM = rm -f
RM_INTACT = rm -i
MV = mv
MK_DIR = mkdir -p
MK_SYMLINK = ln -s
CP = cp

# path delimiter characters
VPATH_DELIMITER = ;
CLASSPATH_DELIMITER = ;
D =;
DEVNULL = /nul

# MKS make vpath
# note that .SOURCE can't evaluate shell command substitution
PREMKSVPATH = $(SNIFF_VPATH:s/|/ /)
MKSVPATH = $(PREMKSVPATH:s/;/ /)
.SOURCE : $(MKSVPATH)
# parameters for make
MAKE_PARAMS =

# general make command
OWN_MAKE = $(MAKE) $(MFLAGS) $(MAKE_PARAMS)
SYSTYPE     =

OS_CXXFLAGS = $(SYSTYPE)
OS_CFLAGS   = $(SYSTYPE)
OS_YACCFLAGS =
OS_LEXFLAGS =
OS_IDLFLAGS = $(SYSTYPE)
OS_FFLAGS = $(SYSTYPE)
OS_JFLAGS =
OS_JARFLAGS =
OS_PURIFYFLAGS =
OS_QUANTIFYFLAGS =

#
# C++ compiler
#
CXX = cxx386
CXXFLAGS = -c -V$(MODEL) -VROM -VBSS -VANSI -VLONGNAME \
           -DMODEL=$(MODEL) -VNOSIGNEDCHAR -D__CADUL__=1 \
           -VCXX=noexceptions,nonamespaces,nortti,nousing_std \
           -VXDB \
           -I$(PSS_ROOT_FOR_SNIFF_PWE)/include \
           -I$(PSS_ROOT_FOR_SNIFF_PWE)/include/cxx \
           -I$(PSS_BSP) \
           -I$(PSS_ROOT_FOR_SNIFF_PWE)/bsps/devices

INHIBIT_LOCAL_INCLUDE_CXX = -I@
OVERALL_OPTION_CXX = -c

#
# C compiler
#
CC =	cc386
CFLAGS = -c -V$(MODEL) -VROM -VBSS -VANSI -VLONGNAME \
         -DMODEL=$(MODEL) -VNOSIGNEDCHAR -D__CADUL__=1 \
         -VXDB \
         -I$(PSS_ROOT_FOR_SNIFF_PWE)/include \
         -I$(PSS_BSP) \
         -I$(PSS_ROOT_FOR_SNIFF_PWE)/bsps/devices

INHIBIT_LOCAL_INCLUDE_CC = -I@
OVERALL_OPTION_CC = -c
INI	   	= ini386
OSINIFLAG	= -I DATA -I BSS -GEN OS_INIT_DATA
INIFLAG		= -I DATA -I BSS

#
# Assembler compiler
#
ASM = as386
ASMFLAGS = -I ./ $(FPUOPT) -I$(PSS_ROOT_FOR_SNIFF_PWE)/include -I$(PSS_BSP) -I$(PSS_ROOT_FOR_SNIFF_PWE)/bsps/devices


#
# MIB compiler
#
MIBCOMPILER = mibcomp
MIBFLAGS = -quiet

# program for linking an executable
LINK = link386
LINK_OUTPUT_FLAG = -c $@
# platform specific library
OS_LIBS =

# program for linking relocatable object files
LD = lib386
LDFLAGS  = -XREF -LONGMAP -IMMBIND -DEBUG -MO 478 -MO 452 -MO 394 -MO 386 -MO 326 -FLAT -SYMBOLMAP ALL -cplus -cdtorseg DATA -su
RELINK_OUTPUT_FLAG = -c $@

# LD_SHARED not defined becasue PSS_SLIB_NAME shd be defined for shlib
# Also, -Xsmall-data=0 -Xsmall-const=0 should be used in CFLAGS.
LD_SHARED = lib386
LD_SHAREDFLAGS  = -XREF -LONGMAP -IMMBIND -DEBUG -MO 478 -MO 452 -MO 394 -MO 386 -MO 326 -FLAT -SYMBOLMAP ALL -cplus -cdtorseg DATA -su
SHAREDLIB_OUTPUT_FLAG = -c $@

# command to make a library
AR = lib386
ARFLAGS  = -XREF -LONGMAP -IMMBIND -DEBUG -MO 478 -MO 452 -MO 394 -MO 386 -MO 326 -FLAT -SYMBOLMAP ALL -cplus -cdtorseg DATA -su
LIB_OUTPUT_FLAG = -c $@

# Utils
RNG     	= maprange
PM      	= abs386
RM      	= rm -rf
CVT     	= omf3bnd

#
# yacc compiler
#
YACC = bison
YACCFLAGS = -yd
YACC_CFILE_SUFFIX = C

#
# lexical analysis program generator
#
LEX  = flex
LEXFLAGS =
LEX_CFILE_SUFFIX = c

# Include files which are not part of standard sniff make_support
# but required by the pSOSystem.
include $(PSS_BSP)/bsp.mk
