#!/bin/sh
#* MRe 2000/04/04 *
#***********************************************************************
#*                                                                     *
#*   MODULE:  bin/win32/psosmake.sh                                    *
#*   DATE:    2000/04/04                                               *
#*   PURPOSE: Frontend for gnu make.                                   *
#*                                                                     *
#*---------------------------------------------------------------------*
#*                                                                     *
#*        Copyright 1991 - 2000, Integrated Systems, Inc.              *
#*                      ALL RIGHTS RESERVED                            *
#*                                                                     *
#*   Permission is hereby granted to licensees of Integrated Systems,  *
#*   Inc. products to use or abstract this computer program for the    *
#*   sole purpose of implementing a product based on Integrated        *
#*   Systems, Inc. products.   No other rights to reproduce, use,      *
#*   or disseminate this computer program, whether in part or in       *
#*   whole, are granted.                                               *
#*                                                                     *
#*   Integrated Systems, Inc. makes no representation or warranties    *
#*   with respect to the performance of this computer program, and     *
#*   specifically disclaims any responsibility for any damages,        *
#*   special or consequential, connected with the use of this program. *
#*                                                                     *
#*---------------------------------------------------------------------*
#***********************************************************************
#----------------------------------------------------------------------*
# _XX_SNIFF_GEN_MAKEFILE_SIGN_XX_ is used to see if psosmake is called *
# for sniff generated makefile. sniff generated makefiles have this    *
# signature.                                                           *
# For compatibility reasons the parameter 'SNIFF_MAKE' is ignored.     *
# All the environment variables are changed to have forward slashes    *
# by the make.exe. GNU make sources are modified to this.              *
#----------------------------------------------------------------------*
# For compatibility reason the selection of the PSS_ROOT_FOR_SNIFF_PWE *
# is done in both cases (calling from within and outside of SNiFF+)    *
# to assign the value of PSS_ROOT.                                     *
# This results in the fact that own source files in the directories    *
# $PSS_ROOT/drivers and $PSS_ROOT/bsps/<bspname>/devices are not       *
# handles correctly. To change this, the references to those files have*
# to be rediretded to the PWE using the variable PSS_ROOT_FOR_SNIFF_PWE*
# To activate this assign PSS_USER_PWE to the variable by uncommenting *
# the respective line in this file psosmake.ksh.                       *
#----------------------------------------------------------------------*

# We use the MKS-Shell, where we need UNIX notation
PSS_ROOT=`VarDosToUnix PSS_ROOT`

# If we were called from within SNiFF+ (PRISM_CALLS_SNIFF)
# we need to have:
#  - an absolute path to the BSP
#     This is set in plugins_open_proj and plugins_convert_proj
#  - an pointer to the devices directory in the PWE
# This is set in envxxx.ksh and here!

if [ X$PRISM_CALLS_SNIFF = "XYES" ]
then
  PSS_BSP=`VarDosToUnix PSS_ABS_PWE_BSP`

# uncomment the second next line to prohibit the use of the
# directory drivers and devices for own source files
  PSS_ROOT_FOR_SNIFF_PWE=`VarDosToUnix PSS_ROOT`

# uncomment the second next line to activate the use of the
# directory drivers and devices for own source files
# PSS_ROOT_FOR_SNIFF_PWE=`VarDosToUnix PSS_USER_PWE`

else
  PSS_ROOT_FOR_SNIFF_PWE=`VarDosToUnix PSS_ROOT`
  PSS_BSP=`VarDosToUnix PSS_BSP`
fi

grep _XX_SNIFF_GEN_MAKEFILE_SIGN_XX_ makefile 2>&1 > nul
if [ $? = 0 ]
then
    if [ X$1 = "XSNIFF_MAKE"  -o X$1 = "XSNIFF_MAKE=1" ]
    then
        shift
    fi
    echo calling gmake for SNiFF+ make support ...
    gmake $@ --no-print-directory
    ret=$?
    if [ $ret = 0 ]
    then
        echo "Make for $@ done."
    fi
    exit $ret
fi

make="$PSS_ROOT/bin/win32/gnu/make"

# Check if it is a SNiFF+ env make
if [ X$1 = "XSNIFF_MAKE"  -o X$1 = "XSNIFF_MAKE=1" ]
then
        shift
# we do not use SNIFF_MAKE anymore
#        $make -s SNIFF_MAKE=1 create_opt_files; $make SNIFF_MAKE=1 $@
        $make -s create_opt_files; $make $@
else
	$make -s create_opt_files; $make $@
fi
