/* @(#) pSOSystem ARM/V2.3.0: apps/pdemo/demo.h  1.6 99/07/18 14:35:08 */
/***********************************************************************/
/*                                                                     */
/*   MODULE:  apps/pdemo/demo.h                                        */
/*   DATE:    99/07/18                                                 */
/*   PURPOSE: Definitions for the host debugger sample application.    */
/*                                                                     */
/*---------------------------------------------------------------------*/
/*                                                                     */
/*           Copyright 1991 - 1996, Integrated Systems, Inc.           */
/*                      ALL RIGHTS RESERVED                            */
/*                                                                     */
/*   Permission is hereby granted to licensees of Integrated Systems,  */
/*   Inc. products to use or abstract this computer program for the    */
/*   sole purpose of implementing a product based on Integrated        */
/*   Systems, Inc. products.   No other rights to reproduce, use,      */
/*   or disseminate this computer program, whether in part or in       */
/*   whole, are granted.                                               */
/*                                                                     */
/*   Integrated Systems, Inc. makes no representation or warranties    */
/*   with respect to the performance of this computer program, and     */
/*   specifically disclaims any responsibility for any damages,        */
/*   special or consequential, connected with the use of this program. */
/*                                                                     */
/*---------------------------------------------------------------------*/
/*                                                                     */
/*   This is a header file which is used with the host debugger        */
/*   sample application.  It includes symbol definitions and           */
/*   structure definitions.                                            */
/*                                                                     */
/***********************************************************************/
#ifdef __cplusplus
extern "C" {
#endif

#ifndef _DEMO_H
#define _DEMO_H

/*---------------------------------------------------------------------*/
/* Symbol Definitions                                                  */
/*---------------------------------------------------------------------*/
#define NUM_BLOCKS          2       /* Size of "RAM disk" device */
#define NOERR               0       /* no error */
#define RNSIZE           2048       /* Region size of 2k bytes */
#define MSGLEN              4       /* message length is four longs */
#define BLOCK_SIZE (1 << FC_LOGBSIZE) /* Size of blocks in simulated */
                                    /* "RAM disk" device      */
#define MAX_MSG             6       /* max # of messages to store */
#define LENGTH           3000       /* length of partition buffer */
#define NVALUES           200       /* size of values array */

/*---------------------------------------------------------------------*/
/* Structure Definitions                                               */
/*---------------------------------------------------------------------*/
typedef struct memmsg {
    unsigned long address;
    unsigned long size;
    unsigned long unused[2];
    struct memmsg *next;
} MEMMSG;

#endif /* _DEMO_H */

#ifdef __cplusplus
}
#endif
