/* @(#) pSOSim release 2.5: include/prepc_rename.h (&U&) 4.3 99/10/13 08:43:39 */
/***********************************************************************/
/*                                                                     */
/*   MODULE:  prepc_rename.h                                           */
/*   DATE:    99/02/23                                                 */
/*   PURPOSE: redefines all native C library calls to pPREPC+ calls.   */
/*                                                                     */
/*---------------------------------------------------------------------*/
/*                                                                     */
/*           Copyright 1991 - 1999, Integrated Systems, Inc.           */
/*                      ALL RIGHTS RESERVED                            */
/*                                                                     */
/*   Permission is hereby granted to licensees of Integrated Systems,  */
/*   Inc. products to use or abstract this computer program for the    */
/*   sole purpose of implementing a product based on Integrated        */
/*   Systems, Inc. products.   No other rights to reproduce, use,      */
/*   or disseminate this computer program, whether in part or in       */
/*   whole, are granted.                                               */
/*                                                                     */
/*   Integrated Systems, Inc. makes no representation or warranties    */
/*   with respect to the performance of this computer program, and     */
/*   specifically disclaims any responsibility for any damages,        */
/*   special or consequential, connected with the use of this program. */
/*                                                                     */
/*---------------------------------------------------------------------*/
/* NOTE: This file is for pSOSim users only.                           */
/*                                                                     */
/*                                                                     */
/***********************************************************************/

/*---------------------------------------------------------------------*/
/* Don't allow this file to be included more than once.                */
/*---------------------------------------------------------------------*/
#ifndef _PREPC_RENAME_H
#define _PREPC_RENAME_H

#ifdef __cplusplus
extern "C" {
#endif

/*---------------------------------------------------------------------*/
/* pREPC+ system Calls                                                 */
/*---------------------------------------------------------------------*/
#define abort		_sim_abort
#define abs		_sim_abs
#define acos		_sim_acos
#define asctime		_sim_asctime
#define asctime_r	_sim_asctime_r
#define asin		_sim_asin
#define atan		_sim_atan
#define atan2		_sim_atan2
#define atexit		_sim_atexit
#define atof		_sim_atof
#define atoi		_sim_atoi
#define atol		_sim_atol

#define bsearch		_sim_bsearch
#define calloc		_sim_calloc
#define ceil		_sim_ceil
#define _cleanup	_sim_cleanup
#define cos		_sim_cos
#define cosh		_sim_cosh
#define ctime		_sim_ctime
#define ctime_r		_sim_ctime_r
#define _ctype		_sim_ctype
#define difftime	_sim_difftime
#define div		_sim_div
#define exit		_sim_exit
#define exp		_sim_exp

#define fabs		_sim_fabs
#define fclose		_sim_fclose
#define _flsbuf		_sim_flsbuf
#define __flsbuf	_sim__flsbuf
#define _filbuf		_sim_filbuf
#define __filbuf	_sim__filbuf

#define fflush		_sim_fflush
#define _fgetbuf	_sim_fgetbuf
#define fgetc		_sim_fgetc
#define fgetpos		_sim_fgetpos
#define fgets		_sim_fgets
#define floor		_sim_floor
#define fmod		_sim_fmod
#define fopen		_sim_fopen
#define fprintf		_sim_fprintf
#define fputc		_sim_fputc
#define fputs		_sim_fputs
#define fread		_sim_fread
#define free		_sim_free
#define freopen		_sim_freopen
#define frexp		_sim_frexp
#define fscanf		_sim_fscanf
#define fseek		_sim_fseek
#define fsetpos		_sim_fsetpos
#define ftell		_sim_ftell
#define fwrite		_sim_fwrite
#define gets		_sim_gets
#define gmtime		_sim_gmtime
#define gmtime_r	_sim_gmtime_r

#define labs		_sim_labs
#define ldexp		_sim_ldexp
#define ldiv		_sim_ldiv
#define locale		_sim_locale
#define localeconv	_sim_localeconv
#define localtime	_sim_localtime
#define localtime_r	_sim_localtime_r
#define log		_sim_log
#define log10		_sim_log10
#define longjmp		_sim_longjmp

#define malloc		_sim_malloc
#define mblen		_sim_mblen
#define mbstowcs	_sim_mbstowcs
#define mbtowc		_sim_mbtowc
#define memccpy		_sim_memccpy
#define memchr		_sim_memchr
#define memcmp		_sim_memcmp
#define memcpy		_sim_memcpy
#define memmove		_sim_memmove
#define memset		_sim_memset
#define mktime		_sim_mktime
#define modf		_sim_modf

#define perror		_sim_perror
#define pow		_sim_pow
#define printf		_sim_printf
#define puts		_sim_puts

#define qsort		_sim_qsort
#define	rand		_sim_rand
#define	rand_r		_sim_rand_r
#define	realloc		_sim_realloc
#define	remove		_sim_remove
#define	rename		_sim_rename
#define	rewind		_sim_rewind

#define	scanf		_sim_scanf
#define	setbuf		_sim_setbuf
#define	setjmp		_sim_setjmp
#define	setlocale	_sim_setlocale
#define	setvbuf		_sim_setvbuf
#define	sin		_sim_sin
#define	sinh		_sim_sinh
#define	sprintf		_sim_sprintf
#define	sqrt		_sim_sqrt
#define	srand		_sim_srand
#define	sscanf		_sim_sscanf

#define	strcat		_sim_strcat
#define	strchr		_sim_strchr
#define strcmp		_sim_strcmp
#define strcoll		_sim_strcoll
#define strcpy		_sim_strcpy
#define	strcspn		_sim_strcspn
#define	strerror	_sim_strerror
#define	strftime	_sim_strftime
#define	strlen		_sim_strlen
#define strncat		_sim_strncat
#define	strncmp		_sim_strncmp
#define	strncpy		_sim_strncpy
#define	strpbrk		_sim_strpbrk
#define strrchr		_sim_strrchr
#define	strspn		_sim_strspn
#define	strstr		_sim_strstr
#define strtod		_sim_strtod
#define strtok		_sim_strtok
#define	strtok_r	_sim_strtok_r
#define strtol		_sim_strtol
#define strtoul		_sim_strtoul
#define strxfrm		_sim_strxfrm

#define tan		_sim_tan
#define tanh		_sim_tanh
#define time		_sim_time
#define tmpfile		_sim_tmpfile
#define tmpnam		_sim_tmpnam
#define tolower		_sim_tolower
#define toupper		_sim_toupper
#define tzset		_sim_tzset

#define ungetc		_sim_ungetc
#define vfprintf	_sim_vfprintf
#define vfscanf		_sim_vfscanf
#define vprintf		_sim_vprintf
#define vscanf		_sim_vscanf
#define	vsprintf	_sim_vsprintf
#define	vsscanf		_sim_vsscanf
#define	wcstombs	_sim_wcstombs
#define wctomb		_sim_wctomb

#ifdef __cplusplus
}
#endif

#endif /* _PREPC_RENAME_H  */
