# calling this script with any first parameter
# switches debug mode on.
# Having set the variable DEBUG to != "0"
# also turns on the debugmode
if [ "X$1" != "X" ]
then
  DEBUG="1"
fi

if [ "X$DEBUG" = "X" ]
then
  DEBUG="0"
fi

if [ $DEBUG != "0" ]
then
  echo Debugmode turned on!
  echo
fi

echo "#---------------------------------------------------------------------------*"
echo "         Generating pre-canned SNiFF+ projects for pSOSystem"
echo "                      $MY_PSS_ROOT"
echo "         Started at : `date`"
echo
echo "Warning: "
echo " This script takes about 20 ( - 80) minutes on a high ( - low)"
echo " performing computer."
echo " All this while SNiFF+ windows keep popping up and won't let you work."
echo " Make, atleast, machine work. Start it before going to a meeting."
echo "#---------------------------------------------------------------------------*"
echo
echo "Making all relevant files in \$PSS_ROOT writable."
echo "This takes a while! Please be patient ..."
find $PSS_ROOT -type f "(" -name "*.shared" -o -name "readme*" -o -name ".snifffl.lst" -o -name "*.[acshACSH]" -o -name "drv_conf.*" -o -name "*.stp" -o -name "*.def" -o -name "*.dld" -o -name "*.[iI][nN][iI]" -o -name "*.inc" -o -name "*.ia" -o -name "*.app" -o -name "*.asm" -o -name "*.mk" -o -name "[mM]akefile" -o -name "*.mib" -o -name "*.cc" -o -name "*.[cC]pp" -o -name "*.[hH]xx" ")" -exec chmod +w "{}" ";"
echo done

# find out whether there is already a custom bsp
# if not, the user may fail in getting the bsp.shared
# and bsp_src.shared added automatically

echo
fTempFile=$TMP_DIR/$USERNAME.custom_bsp_`date "+%Y%m%d_%H%M%S"`

if [ -d $PSS_ROOT/bsps/custom ]
then
  echo "Existing Custom BSP found! Leaving it as is!"
else
  echo "Generating Custom BSP from Template BSP ..."
  mkdir -p $PSS_ROOT/bsps/custom
  if [ "X$DEBUG" != "X" -a "$DEBUG" != "0" ]
  then
    echo "Copying template BSP ..."
  fi

  cp -rf$CP_DBG $PSS_ROOT/bsps/template/* $PSS_ROOT/bsps/custom

  if [ "X$DEBUG" != "X" -a "$DEBUG" != "0" ]
  then
    echo "done"
  fi

  if [ "X$DEBUG" != "X" -a "$DEBUG" != "0" ]
  then
    echo "Adjusting the .snifffl.lst to the new directory name ..."
  fi

  if [ -f $PSS_ROOT/bsps/custom/src/.snifffl.lst ]
  then
    sed "-e s@/template/@/custom/@g" $PSS_ROOT/bsps/custom/src/.snifffl.lst > $fTempFile
    if [ $? = 0 ]
    then
      rm -rf$CP_DBG $PSS_ROOT/bsps/custom/src/.snifffl.lst
      mv -rf$CP_DBG $fTempFile $PSS_ROOT/bsps/custom/src/.snifffl.lst
      echo "done"
    fi
  else
    echo "Error in processing $PSS_ROOT/bsps/custom/src/.snifffl.lst, File does not exist!"
  fi
fi

rm -rf $fTempFile

echo
echo "Preparing the update of the BSPs projects ..."
fTemplate=$SNIFF_INTEGRATION_DIR/pRISM2.0/Remove_from_snifffl.lst
fTempFile=$TMP_DIR/$USERNAME.removelist_bsp_`date "+%Y%m%d_%H%M%S"`
# retrieve all installed bsps and
# remove duplicate file references
# which are already in bsp.shared
if [ "X$DEBUG" != "X" -a "$DEBUG" != "0" ]
then
  echo "Calling:..."
fi

for bsptmp0 in $PSS_ROOT/bsps/*/src/.snifffl.lst
do
  bsptmp1="`dirname $bsptmp0`"
  bsptmp2="`dirname $bsptmp1`"
  bspname="`basename $bsptmp2`"
  echo "Processing BSP: $bspname ..."
  sed "-e s@XbspnameX@$bspname@g" $fTemplate > $fTempFile
  if [ "X$DEBUG" != "X" -a "$DEBUG" != "0" ]
  then
    cat $fTempFile
    echo "$PSS_ROOT/bin/source/plugins/scripts/plugins_remove_duplicates $PSS_ROOT/bsps/$bspname/src/.snifffl.lst $fTempFile"
    echo
  fi
  $PSS_ROOT/bin/source/plugins/scripts/plugins_remove_duplicates $PSS_ROOT/bsps/$bspname/src/.snifffl.lst $fTempFile
done

if [ "X$DEBUG" != "X" -a "$DEBUG" != "0" ]
then
  echo "done"
fi
rm -rf $fTempFile

# Generate the prebuilt SNiFF+ projects for pSOSystem
plugins_create_all

# Support local copies of includes, drivers and devices source files
plugins_patch_makefiles
echo
echo "Making all relevant files in \$PSS_ROOT read-only."
echo "This takes a while! Please be patient ..."
find $PSS_ROOT -type f "(" -name "*.shared" -o -name "readme*" -o -name ".snifffl.lst" -o -name "*.[acshACSH]" -o -name "drv_conf.*" -o -name "*.stp" -o -name "*.def" -o -name "*.dld" -o -name "*.[iI][nN][iI]" -o -name "*.inc" -o -name "*.ia" -o -name "*.app" -o -name "*.asm" -o -name "*.mk" -o -name "[mM]akefile" -o -name "*.mib" -o -name "*.cc" -o -name "*.[cC]pp" -o -name "*.[hH]xx" ")" -exec chmod -w "{}" ";"
echo done
echo "#---------------------------------------------------------------------------*"
echo "       Pre-canned SNiFF+ projects generation for pSOSystem"
echo "                     $MY_PSS_ROOT"
echo "       Finished at : `date`"
echo "#---------------------------------------------------------------------------*"

