import sys
import KeyHandler,string,types,Editor

# kh=KeyHandler.KeyHandler(None)
# kh.InitKeymap('')
# a keymap hast the form
# { 
#    'key' : (func,args),
#    'key' : keymap,
#  }

class CmdNoMapper:
	def __init__(self):
		# Build a dict with all ids of CmdNo as index and the names as keys
		import CmdNo
		self.dict=dict={}
		for name,id in CmdNo.__dict__.items():
			if type(id) is types.IntType and name[:5]!='cPart':
				try:
					dict[id].append(name)
				except:
					dict[id]=[name]

	def GetCmd(self,id):
		try:
			return '('+string.join(self.dict[id],' or ')+')'
		except:
			return (id,)
gCmdNoMapper=CmdNoMapper()

def handle_args(f):
	if type(f) is types.MethodType:
		f = f.im_func 
	if type(f) in (types.BuiltinFunctionType,types.BuiltinMethodType):
		return "()"

	co = f.func_code
	result= '('
	defs = f.func_defaults or ()
	if len(defs) > co.co_argcount:
		defs = defs[len(defs) - co.co_argcount:]
	nodefs = co.co_argcount - len(defs)
	for i in range(co.co_argcount):
		if i > 0: result=result+ ", "
		result=result+ co.co_varnames[i]
		if i >= nodefs:
			result=result + "= " + str(defs[i - nodefs])
	i = co.co_argcount
	if co.co_flags & 4:
		if i > 0:
			result=result+ ", "
		result=result + "*" + co.co_varnames[i]
		i = i+1
	if co.co_flags & 8:
		if i > 0:
			result=result+ ", "
		result=result + "**" + co.co_varnames[i]
	result=result+ ")"
	return result

def keys2str(dict,prefix=''):
	result=''
	if prefix:
		prefix=prefix+' '
	keys=dict.keys()
	keys.sort()
	for key in keys:
		v=dict[key]
		if type(v) is types.DictType:
			result=result + keys2str(v,prefix+key)
		else:
			func,args=v
			if 0 and type(func) is not types.MethodType:
				continue
			if key[-1:]=='@': # quote @ 
				key=key+'@'
			result=result + '@B@r' + prefix + key + '@x@B\n'
			if func==Editor.DoMenuCommand:
				# try to figure out the name of the command id
				args=gCmdNoMapper.GetCmd(args[0])
			elif len(args)==1:
				# don't show a ',' after a tuple of size 1
				args='('+repr(args[0])+')'
			result=result +  '\t '+ func2str(func)+ str(args) + '\n'
			if func.__doc__:
				result=result + '\t@b' + str(func.__doc__) + '@x\n'
	return result
def func2str(func):
	name=func.__name__
	try:
		path=func.im_class.__module__+'.'+func.im_class.__name__
	except:
		try:
			path=func.func_globals['__name__']
		except:
			path=''
	if path:
		path=path+'.'
	return path+'@B'+func.__name__+'@B' + handle_args(func)

def keymap2str(view=''):
	kh=KeyHandler.KeyHandler(None)
	if view:
		kh.InitKeymap(view)
	return keys2str(kh.currkeymap)

from etgui import *
def MakeDialogAndField():
	model=PotGuiModel()
	outfield=MultilineTextItem("",-1,gFixedFont)
	inner=VBox(
		align=eVObjHCenter|eVObjHExpand|eVObjVExpand,
		items=(
			Scroller(outfield,Point(600,600)),
			ActionButton(CmdNo.cIdOk,"Done",1),
		)
	)
	dialog=PotGuiDialog(
		model,
		inner,
		"Python",
		eWinDefault
	)
	return dialog,outfield

gDialog=None
def Show():
	global gDialog,gField
	if not gDialog:
		gDialog,gField=MakeDialogAndField()
	gField.SetString(keymap2str())
	gDialog.ShowUnderMouse()

if __name__=='__main__':
	#print keymap2str()
	Show()
