#
#	general.ada.mk
#
#	SNiFF+ V3.0
#
#	Common make rules for ada
#
#	Copyright (C) 1998 TakeFive Software GmbH
#	Salzburg, Austria (e-mail: sniff@TakeFive.co.at)
#
#


# Set inhibit local include flag
_INHIBIT_LOCAL_INCLUDE_ADAC  = `if [ "$(VPATH)" != "." ]; then echo $(INHIBIT_LOCAL_INCLUDE_ADAC); fi`

ALL_ADA_FLAGS = $(ADA_FLAGS) $(COMMON_ADA_FLAGS) $(OS_ADA_FLAGS) $(_INHIBIT_LOCAL_INCLUDE_ADAC) $(VINCLUDE) $(OTHER_ADA_FLAGS)

# Overwrite link command, as object files should not be specified when linking.
# Because link command is overwritten, Ada projects cannot contain non-Ada code!
LINK_CMD = $(ADALINK) $(ALL_ADA_FLAGS) $(SNIFF_SOURCE_PATH) `basename '$@'`

OTHER_CLEANUP = *.ali *.o

# Overwrite link target, because GNAT dependencies are not seen by make.
# gnatmake should always be run.

$(LINK_TARGET): FORCE
	@ d=`dirname '$@'`;\
	relative=`echo $$d | cut -d"/" -f1`;\
	if [ "$$d" != "." -a "$$relative" != "" ]; then\
		cd $$d;\
		echo make: Changing directory to \'$$d\';\
	fi;\
	TARGET=$@; TARGET_TYPE="executable"; $(MAKE_TARGET);\
	if [ "$(DEBUG)" = "1" ]; then \
		echo "$(LINK_CMD) $(DEBUG_LIBS)";\
	fi;\
	$(LINK_CMD) $(DEBUG_LIBS)

FORCE: ;


