#
#	general.fortran.mk
#
#	SNiFF+ V3.0
#
#	Common make rule for fortran compiler.
#
#	Copyright (C) 1998 TakeFive Software GmbH
#	Salzburg, Austria (e-mail: sniff@TakeFive.co.at)
#
#	Author: Sandor Korosi

#        All fortran compiler flags and compiler command

ALL_FFLAGS = $(SNIFF_INCLUDE) $(OTHER_FFLAGS) $(COMMON_FFLAGS) $(OS_FFLAGS) $(FFLAGS)
FORTRAN_CMD = $(FC) $(ALL_FFLAGS) $(OVERALL_OPTION_FC) "$<" -o $@

## ATTENTION Dont remove the ;  after the following rule (empty rule)
#%.o : $(OBJECT_DIR)/%.o ; 
 
$(OBJECT_DIR)/%.o : $(SNIFF_Fortran77_DIR)/%.f $(FORCE_RULE)
	@ d=`dirname '$@'`;\
	relative=`echo $$d | cut -d"/" -f1`;\
	if [ "$$d" != "." -a "$$d" != "$(OBJECT_DIR)" -a "$$relative" != "" ]; then\
		cd $$d;\
		echo make: Changing directory to \'$$d\';\
		$(OWN_MAKE) -f $(MAKEFILE) `basename '$@'`;\
	else\
		TARGET=$@; TARGET_TYPE="fortran 77 object"; $(MAKE_TARGET);\
		if [ "$(DEBUG)" = "1" ]; then \
			echo "$(FORTRAN_CMD)";\
		fi;\
		$(FORTRAN_CMD);\
	fi;

$(OBJECT_DIR)/%.o : $(SNIFF_Fortran90_DIR)/%.f90 $(FORCE_RULE)
	@ d=`dirname '$@'`;\
	relative=`echo $$d | cut -d"/" -f1`;\
	if [ "$$d" != "." -a "$$d" != "$(OBJECT_DIR)" -a "$$relative" != "" ]; then\
		cd $$d;\
		echo make: Changing directory to \'$$d\';\
		$(OWN_MAKE) -f $(MAKEFILE) `basename '$@'`;\
	else\
		TARGET=$@; TARGET_TYPE="fortran 90 object"; $(MAKE_TARGET);\
		if [ "$(DEBUG)" = "1" ]; then \
			echo "$(FORTRAN_CMD)";\
		fi;\
		$(FORTRAN_CMD);\
	fi;
