#
#	general.idl.mk
#
#	SNiFF+ V3.0
#
#	Common make rule for idl compiler.
#
#	Copyright (C) 1998 TakeFive Software GmbH
#	Salzburg, Austria (e-mail: sniff@TakeFive.co.at)
#
#	Author: Sandor Korosi

#        All IDL compiler flags
ALL_IDLFLAGS = $(OTHER_IDLFLAGS) $(COMMON_IDLFLAGS) $(OS_IDLFLAGS) $(IDLFLAGS)

#       IDL compiler command
IDL_CMD = $(IDL) -I .. $(ALL_IDLFLAGS) `basename $<`

#       C++ compiler command
IDL_CXX_CMD = $(CXX) $(ALL_CXXFLAGS) -I$(OBJECT_DIR) $(OVERALL_OPTION_CXX) $(OBJECT_DIR)/$*$(IDL_CFILE_TYPE_SPEC).$(IDL_CFILE_SUFFIX) $(CXX_OUTPUT_FLAG)

## ATTENTION Dont remove the ;  after the following rule (empty rule)
#%.o : $(OBJECT_DIR)/%.o ; 

#$(OBJECT_DIR)/%C.o : IDL_CFILE_TYPE_SPEC = C
$(OBJECT_DIR)/%C.o : $(SNIFF_IDL_Interface_DIR)/%.idl $(FORCE_RULE)
	@_PWD=`pwd`;\
	if [ "$(OBJECT_DIR)" != "." ]; then\
		$(CP) $< $(OBJECT_DIR)/.; cd $(OBJECT_DIR);\
	fi;\
	$(RM) $*.hh ;\
	TARGET=$*$(IDL_CFILE_TYPE_SPEC).$(IDL_CFILE_SUFFIX); TARGET_TYPE="idl generated Client Object"; $(MAKE_TARGET);\
	if [ "$(DEBUG)" = "1" ]; then \
		echo "$(IDL_CMD)";\
	fi;\
	$(IDL_CMD);\
	if [ "$(OBJECT_DIR)" != "." ]; then\
		$(RM) `basename $<`; cd "$$_PWD";\
	fi;\
	TARGET=$@; TARGET_TYPE="C++ object"; $(MAKE_TARGET);\
	if [ "$(DEBUG)" = "1" ]; then \
		echo "$(IDL_CXX_CMD)";\
	fi;\
	$(IDL_CXX_CMD)
 
#$(OBJECT_DIR)/%S.o : IDL_CFILE_TYPE_SPEC = S
$(OBJECT_DIR)/%S.o : $(SNIFF_IDL_Interface_DIR)/%.idl $(FORCE_RULE)
	@_PWD=`pwd`;\
	if [ "$(OBJECT_DIR)" != "." ]; then\
		$(CP) $< $(OBJECT_DIR)/.; cd $(OBJECT_DIR);\
	fi;\
	$(RM) $*.hh ;\
	TARGET=$*$(IDL_CFILE_TYPE_SPEC).$(IDL_CFILE_SUFFIX); TARGET_TYPE="idl generated Server Object"; $(MAKE_TARGET);\
	if [ "$(DEBUG)" = "1" ]; then \
		echo "$(IDL_CMD)";\
	fi;\
	$(IDL_CMD);\
	if [ "$(OBJECT_DIR)" != "." ]; then\
		$(RM) `basename $<`; cd "$$_PWD";\
	fi;\
	TARGET=$@; TARGET_TYPE="C++ object"; $(MAKE_TARGET);\
	if [ "$(DEBUG)" = "1" ]; then \
		echo "$(IDL_CXX_CMD)";\
	fi;\
	$(IDL_CXX_CMD)

# PRE_TARGETS
%.idl_ : $(SNIFF_IDL_Interface_DIR)/%.idl
	$(OWN_MAKE) -f $(MAKEFILE) $(OBJECT_DIR)/$*$(IDL_CFILE_TYPE_SPEC).o

