
# SNiFF+ - Makefile configuration for Intel i386 (and higher) Windows 32bit O.S.

SYSTEM = Windows

 
# some shell commands
# the shell tools can be installed anywhere, so no paths here
SHELL = sh
RM = rm -f
RM_INTACT = rm -i
MV = mv
MK_DIR = mkdir -p
MK_SYMLINK =
CP = cp

# path delimiter characters
CLASSPATH_DELIMITER = ;
D = ;
DEVNULL = /nul

# parameters for make
MAKE_PARAMS = --no-print-directory
 
# general make command
OWN_MAKE = $(MAKE) $(MFLAGS) $(MAKE_PARAMS)
SYSTYPE     = -DWIN32

OS_CXXFLAGS = $(SYSTYPE)
OS_CFLAGS   = $(SYSTYPE)
OS_YACCFLAGS =
OS_LEXFLAGS = 
OS_IDLFLAGS = $(SYSTYPE)
OS_FFLAGS = $(SYSTYPE)
OS_JFLAGS = 
OS_JARFLAGS = 
OS_PURIFYFLAGS =
OS_QUANTIFYFLAGS =
 
#
# C++ compiler
#
CXX = cl -nologo
CXXFLAGS = -Zi -TP -Fd$(OBJECT_DIR)/
CXX_OUTPUT_FLAG		= -Fo$@
OVERALL_OPTION_CXX = -c

#
# C compiler
#
CC = cl -nologo
CFLAGS = -Zi -Fd$(OBJECT_DIR)/
CC_OUTPUT_FLAG		= -Fo$@
OVERALL_OPTION_CC = -c

# program for linking an executable
LINK = link -nologo
LDFLAGS  = -debug -incremental:no -machine:IX86
LINK_OUTPUT_FLAG = -OUT:$@
EXE_SUFFIX = exe

# platform specific library
OS_LIBS = kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib \
		shell32.lib uuid.lib mpr.lib oldnames.lib libci.lib libc.lib

#
SPECIAL_LINK_FLAGS =  $(OTHER_SPECIAL_LINK_FLAGS)

# program for linking relocatable object files
LD = lib -nologo
RELINK_OUTPUT_FLAG = -OUT:$@
 
LD_SHARED = link -nologo
LD_SHAREDFLAGS  =  -debug -dll -incremental:no -machine:IX86
LD_SHAREDFLAGS_MSWIN = `if [ "$(SNIFF_Windows_Module_Definition_FILES)" != "" ]; then echo '-def:$(SNIFF_Windows_Module_Definition_DIR)/$(SNIFF_Windows_Module_Definition_FILES)'; fi`
SHAREDLIB_OUTPUT_FLAG = -OUT:$@
 
AR      = lib -nologo
ARFLAGS = 
LIB_OUTPUT_FLAG = -OUT:$@
#RANLIB  = ranlib
RANLIB = true

#
# yacc compiler
#
YACC = bison
YACCFLAGS = -yd
YACC_CFILE_SUFFIX = C

#
# lexical analysis program generator
#
LEX  = flex
LEXFLAGS =
LEX_CFILE_SUFFIX = c

#
# fortran compiler
#
FC  = f77
FFLAGS =
OVERALL_OPTION_FC = -c

#
# java compiler
#
JAVAC  = $(SNIFF_DIR)/bin/sniffjavac.exe
# JAVA_DEPEND_FLAG = -depend
JAVA_DEPEND_FLAG =
# JFLAGS =
JFLAGS = -g
JAR = jar
JARFLAGS = -cvf
JAVA_INTERPRETER = java
JAVA_APPLET_VIEWER = appletviewer
 
#
# Ada (GNAT only)
#
ADA_FLAGS =
ADALINK = gnatmake

#
# Ada (GNAT only)
#
ADA_FLAGS =
ADALINK = gnatmake
 
#
#	Purify
#
PURIFYFLAGS = 
PURIFY = purify

#
#	Quantify
#
QUANTIFYFLAGS = 
QUANTIFY = quantify

# X11 include files and library
X11_INCL = 
X11_LIB  = 

# socket libraries
SOCKET_LIBS = wsock32.lib
 
#
# IDL
#
# orbix installation directory
IDL_DIR		= C:/ORBIX
 
# binary, library and include directories
IDL_BINDIR    = $(IDL_DIR)/bin
IDL_LIBDIR    = $(IDL_DIR)/lib
IDL_INCDIR    = $(IDL_DIR)/include
 
# IDL compiler
IDL             = $(IDL_BINDIR)/idl
IDLFLAGS      = -sS.$(IDL_CFILE_SUFFIX) -cC.$(IDL_CFILE_SUFFIX)
IDL_CFILE_SUFFIX = cc
 
# server and client libraries
IDL_SERVER_LIB = $(IDL_LIBDIR)/itsrv.lib
IDL_CLIENT_LIB = $(IDL_LIBDIR)/itclt.lib
 
#
# Ilog Broker
#
# Ilog Broker installation directory
ILB_HOME    = $(ILBHOME)
 
# Ilog Broker architecture and C++ compiler
ILB_SYSTEM  = .
 
# binary, library and include directories
ILB_BINDIR    = $(ILB_HOME)/bin/$(ILB_SYSTEM)
ILB_LIBDIR    = $(ILB_HOME)/lib/$(ILB_SYSTEM)
ILB_INCDIR    = $(ILB_HOME)/include
 
# Ilog Broker preprocessor
ILB           = $(ILB_BINDIR)/ilb
ILBFLAGS      = $(ALL_CXXFLAGS) -ilbk
 
# Ilog Broker libraries
#ILB_LIBS       = -L$(ILB_LIBDIR) -lvwbroker -lbroker
#ILB_XLIB      = -L$(ILB_LIBDIR) -lxtbroker
 
# Ilog View installation directory
ILV_HOME    = $(ILVHOME)
 
# binary, library and include directories
ILV_BINDIR    = $(ILV_HOME)/bin/$(ILB_SYSTEM)
ILV_LIBDIR    = $(ILV_HOME)/lib/$(ILB_SYSTEM)
ILV_INCDIR    = $(ILV_HOME)/include
 
# Ilog View libraries
#ILV_LIBS       = -L$(ILV_LIBDIR) -lilvgadgt -lviews -lxviews

#
# UIM/X
#
# UIM/X installation directory
UIMX_DIR                = c:/uimx
 
# binary, library and include directories
UIMX_BINDIR    = $(UIMX_DIR)/bin
UIMX_LIBDIR    = $(UIMX_DIR)/lib
UIMX_INCL      = -I$(UIMX_DIR)/include
 
# UIM/X code generator
UXCG           = $(UIMX_BINDIR)/uxcgen
UXCGFLAGS      = -a
 
# UIM/X library
#UIMX_LIB = -L$(UIMX_LIBDIR) -lux
 
#
# pro*c/c++
#
PROC            = $(ORACLE_HOME)/bin/proc
PROCFLAGS       = lines=yes code=cpp parse=none cpp_suffix=cpp
PROCEXTENSION   = .cpp
PROCDEBUG       = 0
 
WINRC = rc
WINRCFLAGS = -R 
